Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Class TraceGL3

    java.lang.Object
      javax.media.opengl.TraceGL3

All Implemented Interfaces:
  GL, GL2ES2, GL2GL3, GL3, GLBase

    public class TraceGL3

extends Object
implements GLBase, GL, GL2ES2, GL2GL3, GL3

Composable pipeline which wraps an underlying `GL` implementation, providing tracing information to a user-specified `PrintStream` before and after each OpenGL method call. Sample code which installs this pipeline:

         GL gl = drawable.setGL(new TraceGL(drawable.getGL(), System.err));

Field Summary
`static boolean` | `DEBUG`

Fields inherited from interface javax.media.opengl.GL3
`GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH, GL_ACTIVE_UNIFORM_BLOCKS, GL_ALREADY_SIGNALED, GL_COMPARE_REF_TO_TEXTURE, GL_CONDITION_SATISFIED, GL_COPY_READ_BUFFER, GL_COPY_WRITE_BUFFER, GL_DEPTH_CLAMP, GL_FIRST_VERTEX_CONVENTION, GL_INT_SAMPLER_2D_MULTISAMPLE, GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY, GL_INVALID_INDEX, GL_LAST_VERTEX_CONVENTION, GL_MAX_COLOR_TEXTURE_SAMPLES, GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS, GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS, GL_MAX_COMBINED_UNIFORM_BLOCKS, GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS, GL_MAX_DEPTH_TEXTURE_SAMPLES, GL_MAX_FRAGMENT_UNIFORM_BLOCKS, GL_MAX_GEOMETRY_UNIFORM_BLOCKS, GL_MAX_INTEGER_SAMPLES, GL_MAX_SAMPLE_MASK_WORDS, GL_MAX_SERVER_WAIT_TIMEOUT, GL_MAX_UNIFORM_BLOCK_SIZE, GL_MAX_UNIFORM_BUFFER_BINDINGS, GL_MAX_VERTEX_UNIFORM_BLOCKS, GL_OBJECT_TYPE, GL_PROVOKING_VERTEX, GL_PROXY_TEXTURE_2D_MULTISAMPLE, GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY, GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION, GL_R16_SNORM, GL_R8_SNORM, GL_RED_SNORM, GL_RG_SNORM, GL_RG16_SNORM, GL_RG8_SNORM, GL_RGB_SNORM, GL_RGB16_SNORM, GL_RGB8_SNORM, GL_RGBA_SNORM, GL_RGBA16_SNORM, GL_RGBA8_SNORM, GL_SAMPLE_MASK, GL_SAMPLE_MASK_VALUE, GL_SAMPLE_POSITION, GL_SAMPLER_2D_MULTISAMPLE, GL_SAMPLER_2D_MULTISAMPLE_ARRAY, GL_SAMPLER_2D_RECT, GL_SAMPLER_2D_RECT_SHADOW, GL_SIGNALED, GL_SIGNED_NORMALIZED, GL_SYNC_CONDITION, GL_SYNC_FENCE, GL_SYNC_FLAGS, GL_SYNC_FLUSH_COMMANDS_BIT, GL_SYNC_GPU_COMMANDS_COMPLETE, GL_SYNC_STATUS, GL_TEXTURE_2D_MULTISAMPLE, GL_TEXTURE_2D_MULTISAMPLE_ARRAY, GL_TEXTURE_BINDING_2D_MULTISAMPLE, GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY, GL_TEXTURE_CUBE_MAP_SEAMLESS, GL_TEXTURE_FIXED_SAMPLE_LOCATIONS, GL_TEXTURE_SAMPLES, GL_TIMEOUT_EXPIRED, GL_TIMEOUT_IGNORED, GL_UNIFORM_ARRAY_STRIDE, GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES, GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS, GL_UNIFORM_BLOCK_BINDING, GL_UNIFORM_BLOCK_DATA_SIZE, GL_UNIFORM_BLOCK_INDEX, GL_UNIFORM_BLOCK_NAME_LENGTH, GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER, GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER, GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER, GL_UNIFORM_BUFFER, GL_UNIFORM_BUFFER_BINDING, GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT, GL_UNIFORM_BUFFER_SIZE, GL_UNIFORM_BUFFER_START, GL_UNIFORM_IS_ROW_MAJOR, GL_UNIFORM_MATRIX_STRIDE, GL_UNIFORM_NAME_LENGTH, GL_UNIFORM_OFFSET, GL_UNIFORM_SIZE, GL_UNIFORM_TYPE, GL_UNSIGNALED, GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE, GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY, GL_WAIT_FAILED`

Fields inherited from interface javax.media.opengl.GL2GL3
`GL_ALPHA_FLOAT16_APPLE, GL_ALPHA_FLOAT16_ATI, GL_ALPHA_FLOAT32_APPLE, GL_ALPHA_FLOAT32_ATI, GL_BACK_LEFT, GL_BACK_RIGHT, GL_BGR, GL_BGR_INTEGER, GL_BGRA, GL_BGRA_INTEGER, GL_BLUE, GL_BLUE_INTEGER, GL_CLAMP_READ_COLOR, GL_CLAMP_TO_BORDER, GL_CLIP_DISTANCE0, GL_CLIP_DISTANCE1, GL_CLIP_DISTANCE2, GL_CLIP_DISTANCE3, GL_CLIP_DISTANCE4, GL_CLIP_DISTANCE5, GL_COLOR, GL_COLOR_ATTACHMENT1, GL_COLOR_ATTACHMENT10, GL_COLOR_ATTACHMENT11, GL_COLOR_ATTACHMENT12, GL_COLOR_ATTACHMENT13, GL_COLOR_ATTACHMENT14, GL_COLOR_ATTACHMENT15, GL_COLOR_ATTACHMENT2, GL_COLOR_ATTACHMENT3, GL_COLOR_ATTACHMENT4, GL_COLOR_ATTACHMENT5, GL_COLOR_ATTACHMENT6, GL_COLOR_ATTACHMENT7, GL_COLOR_ATTACHMENT8, GL_COLOR_ATTACHMENT9, GL_COLOR_FLOAT_APPLE, GL_COMPRESSED_RED, GL_COMPRESSED_RG, GL_COMPRESSED_RGB, GL_COMPRESSED_RGBA, GL_COMPRESSED_SRGB, GL_COMPRESSED_SRGB_ALPHA, GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT, GL_CONTEXT_FLAGS, GL_CONTINUOUS_AMD, GL_CURRENT_QUERY, GL_DEPTH, GL_DEPTH_BUFFER, GL_DEPTH_STENCIL, GL_DEPTH_STENCIL_ATTACHMENT, GL_DEPTH24_STENCIL8, GL_DISCRETE_AMD, GL_DOUBLE, GL_DOUBLEBUFFER, GL_DRAW_BUFFER, GL_DRAW_BUFFER0, GL_DRAW_BUFFER1, GL_DRAW_BUFFER10, GL_DRAW_BUFFER11, GL_DRAW_BUFFER12, GL_DRAW_BUFFER13, GL_DRAW_BUFFER14, GL_DRAW_BUFFER15, GL_DRAW_BUFFER2, GL_DRAW_BUFFER3, GL_DRAW_BUFFER4, GL_DRAW_BUFFER5, GL_DRAW_BUFFER6, GL_DRAW_BUFFER7, GL_DRAW_BUFFER8, GL_DRAW_BUFFER9, GL_DRAW_FRAMEBUFFER, GL_DRAW_FRAMEBUFFER_BINDING, GL_DYNAMIC_COPY, GL_DYNAMIC_READ, GL_FILL, GL_FIXED_ONLY, GL_FLOAT_CLEAR_COLOR_VALUE_NV, GL_FLOAT_MAT2x3, GL_FLOAT_MAT2x4, GL_FLOAT_MAT3x2, GL_FLOAT_MAT3x4, GL_FLOAT_MAT4x2, GL_FLOAT_MAT4x3, GL_FLOAT_R_NV, GL_FLOAT_R16_NV, GL_FLOAT_R32_NV, GL_FLOAT_RG_NV, GL_FLOAT_RG16_NV, GL_FLOAT_RG32_NV, GL_FLOAT_RGB_NV, GL_FLOAT_RGB16_NV, GL_FLOAT_RGB32_NV, GL_FLOAT_RGBA_MODE_NV, GL_FLOAT_RGBA_NV, GL_FLOAT_RGBA16_NV, GL_FLOAT_RGBA32_NV, GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE, GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE, GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING, GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE, GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE, GL_FRAMEBUFFER_ATTACHMENT_LAYERED, GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE, GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE, GL_FRAMEBUFFER_DEFAULT, GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER, GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT, GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS, GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE, GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER, GL_FRAMEBUFFER_UNDEFINED, GL_FRONT_LEFT, GL_FRONT_RIGHT, GL_GEOMETRY_INPUT_TYPE, GL_GEOMETRY_OUTPUT_TYPE, GL_GEOMETRY_SHADER, GL_GEOMETRY_VERTICES_OUT, GL_GREEN, GL_GREEN_INTEGER, GL_HALF_APPLE, GL_INT_SAMPLER_1D, GL_INT_SAMPLER_1D_ARRAY, GL_INT_SAMPLER_2D, GL_INT_SAMPLER_2D_ARRAY, GL_INT_SAMPLER_2D_RECT, GL_INT_SAMPLER_3D, GL_INT_SAMPLER_BUFFER, GL_INT_SAMPLER_BUFFER_AMD, GL_INT_SAMPLER_CUBE, GL_INTENSITY_FLOAT16_APPLE, GL_INTENSITY_FLOAT16_ATI, GL_INTENSITY_FLOAT32_APPLE, GL_INTENSITY_FLOAT32_ATI, GL_INTERLEAVED_ATTRIBS, GL_LEFT, GL_LINE, GL_LINE_STRIP_ADJACENCY, GL_LINE_WIDTH_GRANULARITY, GL_LINE_WIDTH_RANGE, GL_LINES_ADJACENCY, GL_LOWER_LEFT, GL_LUMINANCE_ALPHA_FLOAT16_APPLE, GL_LUMINANCE_ALPHA_FLOAT16_ATI, GL_LUMINANCE_ALPHA_FLOAT32_APPLE, GL_LUMINANCE_ALPHA_FLOAT32_ATI, GL_LUMINANCE_FLOAT16_APPLE, GL_LUMINANCE_FLOAT16_ATI, GL_LUMINANCE_FLOAT32_APPLE, GL_LUMINANCE_FLOAT32_ATI, GL_MAJOR_VERSION, GL_MAP_FLUSH_EXPLICIT_BIT, GL_MAP_INVALIDATE_BUFFER_BIT, GL_MAP_INVALIDATE_RANGE_BIT, GL_MAP_READ_BIT, GL_MAP_UNSYNCHRONIZED_BIT, GL_MAP_WRITE_BIT, GL_MAX, GL_MAX_3D_TEXTURE_SIZE, GL_MAX_CLIP_DISTANCES, GL_MAX_COLOR_ATTACHMENTS, GL_MAX_DRAW_BUFFERS, GL_MAX_ELEMENTS_INDICES, GL_MAX_ELEMENTS_VERTICES, GL_MAX_FRAGMENT_UNIFORM_COMPONENTS, GL_MAX_GEOMETRY_OUTPUT_VERTICES, GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS, GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS, GL_MAX_GEOMETRY_UNIFORM_COMPONENTS, GL_MAX_GEOMETRY_VARYING_COMPONENTS, GL_MAX_PROGRAM_TEXEL_OFFSET, GL_MAX_RECTANGLE_TEXTURE_SIZE, GL_MAX_RECTANGLE_TEXTURE_SIZE_ARB, GL_MAX_SAMPLES, GL_MAX_TEXTURE_BUFFER_SIZE, GL_MAX_TEXTURE_LOD_BIAS, GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS, GL_MAX_VARYING_COMPONENTS, GL_MAX_VARYING_FLOATS, GL_MAX_VERTEX_UNIFORM_COMPONENTS, GL_MAX_VERTEX_VARYING_COMPONENTS, GL_MIN, GL_MIN_PROGRAM_TEXEL_OFFSET, GL_MINOR_VERSION, GL_NUM_EXTENSIONS, GL_PACK_IMAGE_HEIGHT, GL_PACK_LSB_FIRST, GL_PACK_ROW_LENGTH, GL_PACK_SKIP_IMAGES, GL_PACK_SKIP_PIXELS, GL_PACK_SKIP_ROWS, GL_PACK_SWAP_BYTES, GL_PIXEL_PACK_BUFFER, GL_PIXEL_PACK_BUFFER_BINDING, GL_PIXEL_UNPACK_BUFFER, GL_PIXEL_UNPACK_BUFFER_BINDING, GL_POINT, GL_POINT_SIZE_GRANULARITY, GL_POINT_SIZE_RANGE, GL_POINT_SPRITE_COORD_ORIGIN, GL_POLYGON_OFFSET_LINE, GL_POLYGON_OFFSET_POINT, GL_POLYGON_SMOOTH, GL_POLYGON_SMOOTH_HINT, GL_PRIMITIVE_RESTART, GL_PRIMITIVE_RESTART_INDEX, GL_PRIMITIVES_GENERATED, GL_PROGRAM_POINT_SIZE, GL_PROXY_TEXTURE_1D, GL_PROXY_TEXTURE_1D_ARRAY, GL_PROXY_TEXTURE_2D, GL_PROXY_TEXTURE_2D_ARRAY, GL_PROXY_TEXTURE_3D, GL_PROXY_TEXTURE_CUBE_MAP, GL_PROXY_TEXTURE_RECTANGLE, GL_PROXY_TEXTURE_RECTANGLE_ARB, GL_QUERY_BY_REGION_NO_WAIT, GL_QUERY_BY_REGION_WAIT, GL_QUERY_COUNTER_BITS, GL_QUERY_NO_WAIT, GL_QUERY_RESULT, GL_QUERY_RESULT_AVAILABLE, GL_QUERY_WAIT, GL_R3_G3_B2, GL_RASTERIZER_DISCARD, GL_READ_BUFFER, GL_READ_FRAMEBUFFER, GL_READ_FRAMEBUFFER_BINDING, GL_READ_ONLY, GL_READ_WRITE, GL_RED, GL_RED_INTEGER, GL_RENDERBUFFER_SAMPLES, GL_RGB_FLOAT16_APPLE, GL_RGB_FLOAT16_ATI, GL_RGB_FLOAT32_APPLE, GL_RGB_FLOAT32_ATI, GL_RGB_INTEGER, GL_RGB10, GL_RGB10_A2, GL_RGB12, GL_RGB16, GL_RGB16F, GL_RGB16I, GL_RGB16UI, GL_RGB32F, GL_RGB32I, GL_RGB32UI, GL_RGB4, GL_RGB5, GL_RGB8I, GL_RGB8UI, GL_RGB9_E5, GL_RGBA_FLOAT16_APPLE, GL_RGBA_FLOAT16_ATI, GL_RGBA_FLOAT32_APPLE, GL_RGBA_FLOAT32_ATI, GL_RGBA_INTEGER, GL_RGBA12, GL_RGBA16, GL_RGBA16F, GL_RGBA16I, GL_RGBA16UI, GL_RGBA2, GL_RGBA32F, GL_RGBA32I, GL_RGBA32UI, GL_RGBA8I, GL_RGBA8UI, GL_RIGHT, GL_SAMPLER_1D, GL_SAMPLER_1D_ARRAY, GL_SAMPLER_1D_ARRAY_SHADOW, GL_SAMPLER_1D_SHADOW, GL_SAMPLER_2D_ARRAY_SHADOW, GL_SAMPLER_2D_SHADOW, GL_SAMPLER_3D, GL_SAMPLER_BUFFER, GL_SAMPLER_BUFFER_AMD, GL_SAMPLER_CUBE_SHADOW, GL_SAMPLES_PASSED, GL_SEPARATE_ATTRIBS, GL_SMOOTH_LINE_WIDTH_GRANULARITY, GL_SMOOTH_POINT_SIZE_GRANULARITY, GL_SRGB, GL_SRGB_ALPHA, GL_SRGB8, GL_SRGB8_ALPHA8, GL_STATIC_COPY, GL_STATIC_READ, GL_STENCIL, GL_STENCIL_BUFFER, GL_STENCIL_INDEX16, GL_STEREO, GL_STREAM_COPY, GL_STREAM_READ, GL_TESSELLATION_FACTOR_AMD, GL_TESSELLATION_MODE_AMD, GL_TEXTURE_1D, GL_TEXTURE_1D_ARRAY, GL_TEXTURE_3D, GL_TEXTURE_ALPHA_SIZE, GL_TEXTURE_ALPHA_TYPE, GL_TEXTURE_BASE_LEVEL, GL_TEXTURE_BINDING_1D, GL_TEXTURE_BINDING_1D_ARRAY, GL_TEXTURE_BINDING_3D, GL_TEXTURE_BINDING_BUFFER, GL_TEXTURE_BINDING_RECTANGLE, GL_TEXTURE_BINDING_RECTANGLE_ARB, GL_TEXTURE_BLUE_SIZE, GL_TEXTURE_BLUE_TYPE, GL_TEXTURE_BORDER, GL_TEXTURE_BORDER_COLOR, GL_TEXTURE_BUFFER, GL_TEXTURE_BUFFER_DATA_STORE_BINDING, GL_TEXTURE_BUFFER_FORMAT, GL_TEXTURE_COMPARE_FUNC, GL_TEXTURE_COMPARE_MODE, GL_TEXTURE_COMPRESSED, GL_TEXTURE_COMPRESSED_IMAGE_SIZE, GL_TEXTURE_COMPRESSION_HINT, GL_TEXTURE_DEPTH, GL_TEXTURE_DEPTH_SIZE, GL_TEXTURE_DEPTH_TYPE, GL_TEXTURE_FLOAT_COMPONENTS_NV, GL_TEXTURE_GREEN_SIZE, GL_TEXTURE_GREEN_TYPE, GL_TEXTURE_HEIGHT, GL_TEXTURE_INTERNAL_FORMAT, GL_TEXTURE_LOD_BIAS, GL_TEXTURE_MAX_LEVEL, GL_TEXTURE_MAX_LOD, GL_TEXTURE_MIN_LOD, GL_TEXTURE_RECTANGLE, GL_TEXTURE_RECTANGLE_ARB, GL_TEXTURE_RED_SIZE, GL_TEXTURE_RED_TYPE, GL_TEXTURE_SHARED_SIZE, GL_TEXTURE_STENCIL_SIZE, GL_TEXTURE_WIDTH, GL_TEXTURE_WRAP_R, GL_TRANSFORM_FEEDBACK_BUFFER, GL_TRANSFORM_FEEDBACK_BUFFER_BINDING, GL_TRANSFORM_FEEDBACK_BUFFER_MODE, GL_TRANSFORM_FEEDBACK_BUFFER_SIZE, GL_TRANSFORM_FEEDBACK_BUFFER_START, GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN, GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH, GL_TRANSFORM_FEEDBACK_VARYINGS, GL_TRIANGLE_STRIP_ADJACENCY, GL_TRIANGLES_ADJACENCY, GL_UNPACK_IMAGE_HEIGHT, GL_UNPACK_LSB_FIRST, GL_UNPACK_ROW_LENGTH, GL_UNPACK_SKIP_IMAGES, GL_UNPACK_SKIP_PIXELS, GL_UNPACK_SKIP_ROWS, GL_UNPACK_SWAP_BYTES, GL_UNSIGNED_BYTE_2_3_3_REV, GL_UNSIGNED_BYTE_3_3_2, GL_UNSIGNED_INT_10_10_10_2, GL_UNSIGNED_INT_2_10_10_10_REV, GL_UNSIGNED_INT_24_8, GL_UNSIGNED_INT_5_9_9_9_REV, GL_UNSIGNED_INT_8_8_8_8, GL_UNSIGNED_INT_8_8_8_8_REV, GL_UNSIGNED_INT_SAMPLER_1D, GL_UNSIGNED_INT_SAMPLER_1D_ARRAY, GL_UNSIGNED_INT_SAMPLER_2D, GL_UNSIGNED_INT_SAMPLER_2D_ARRAY, GL_UNSIGNED_INT_SAMPLER_2D_RECT, GL_UNSIGNED_INT_SAMPLER_3D, GL_UNSIGNED_INT_SAMPLER_BUFFER, GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD, GL_UNSIGNED_INT_SAMPLER_CUBE, GL_UNSIGNED_INT_VEC2, GL_UNSIGNED_INT_VEC3, GL_UNSIGNED_INT_VEC4, GL_UNSIGNED_NORMALIZED, GL_UNSIGNED_SHORT_1_5_5_5_REV, GL_UNSIGNED_SHORT_4_4_4_4_REV, GL_UNSIGNED_SHORT_5_6_5_REV, GL_UPPER_LEFT, GL_VERTEX_ARRAY_BINDING, GL_VERTEX_ATTRIB_ARRAY_INTEGER, GL_VERTEX_PROGRAM_POINT_SIZE`

Fields inherited from interface javax.media.opengl.GL2ES2
`GL_ACTIVE_ATTRIBUTE_MAX_LENGTH, GL_ACTIVE_ATTRIBUTES, GL_ACTIVE_UNIFORM_MAX_LENGTH, GL_ACTIVE_UNIFORMS, GL_ATTACHED_SHADERS, GL_BLEND_COLOR, GL_BOOL, GL_BOOL_VEC2, GL_BOOL_VEC3, GL_BOOL_VEC4, GL_COMPILE_STATUS, GL_CONSTANT_ALPHA, GL_CONSTANT_COLOR, GL_CURRENT_PROGRAM, GL_CURRENT_VERTEX_ATTRIB, GL_DELETE_STATUS, GL_DEPTH_COMPONENT, GL_FLOAT_MAT2, GL_FLOAT_MAT3, GL_FLOAT_MAT4, GL_FLOAT_VEC2, GL_FLOAT_VEC3, GL_FLOAT_VEC4, GL_FRAGMENT_SHADER, GL_FRAGMENT_SHADER_DERIVATIVE_HINT, GL_HIGH_FLOAT, GL_HIGH_INT, GL_INFO_LOG_LENGTH, GL_INT, GL_INT_VEC2, GL_INT_VEC3, GL_INT_VEC4, GL_LINK_STATUS, GL_LOW_FLOAT, GL_LOW_INT, GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS, GL_MAX_FRAGMENT_UNIFORM_VECTORS, GL_MAX_TEXTURE_IMAGE_UNITS, GL_MAX_VARYING_VECTORS, GL_MAX_VERTEX_ATTRIBS, GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS, GL_MAX_VERTEX_UNIFORM_VECTORS, GL_MEDIUM_FLOAT, GL_MEDIUM_INT, GL_NUM_SHADER_BINARY_FORMATS, GL_ONE_MINUS_CONSTANT_ALPHA, GL_ONE_MINUS_CONSTANT_COLOR, GL_PLATFORM_BINARY, GL_SAMPLER_2D, GL_SAMPLER_CUBE, GL_SHADER_BINARY_FORMATS, GL_SHADER_COMPILER, GL_SHADER_SOURCE_LENGTH, GL_SHADER_TYPE, GL_SHADING_LANGUAGE_VERSION, GL_STENCIL_BACK_FAIL, GL_STENCIL_BACK_FUNC, GL_STENCIL_BACK_PASS_DEPTH_FAIL, GL_STENCIL_BACK_PASS_DEPTH_PASS, GL_STENCIL_BACK_REF, GL_STENCIL_BACK_VALUE_MASK, GL_STENCIL_BACK_WRITEMASK, GL_STENCIL_INDEX, GL_STREAM_DRAW, GL_UNSIGNED_INT, GL_VALIDATE_STATUS, GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING, GL_VERTEX_ATTRIB_ARRAY_ENABLED, GL_VERTEX_ATTRIB_ARRAY_NORMALIZED, GL_VERTEX_ATTRIB_ARRAY_POINTER, GL_VERTEX_ATTRIB_ARRAY_SIZE, GL_VERTEX_ATTRIB_ARRAY_STRIDE, GL_VERTEX_ATTRIB_ARRAY_TYPE, GL_VERTEX_SHADER`

Fields inherited from interface javax.media.opengl.GL
`GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RGB, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

Constructor Summary
`TraceGL3(GL3 downstreamGL3, PrintStream stream)`

Method Summary
`protected String` | `dumpArray(Object obj)`
`GLContext` | `getContext()` Returns the GLContext with which this GL object is associated.
`Object` | `getExtension(String arg0)` Returns an object providing access to the specified OpenGL extension.
`GL` | `getGL()` Casts this object to the GL interface.
`GL2` | `getGL2()` Casts this object to the GL2 interface.
`GL2ES1` | `getGL2ES1()` Casts this object to the GL2ES1 interface.
`GL2ES2` | `getGL2ES2()` Casts this object to the GL2ES2 interface.
`GL2GL3` | `getGL2GL3()` Casts this object to the GL2GL3 interface.
`GL3` | `getGL3()` Casts this object to the GL3 interface.
`GLES1` | `getGLES1()` Casts this object to the GLES1 interface.
`GLES2` | `getGLES2()` Casts this object to the GLES2 interface.
`GLProfile` | `getGLProfile()` Returns the GLProfile with which this GL object is associated.
`Object` | `getPlatformGLExtensions()` Returns an object through which platform-specific OpenGL extensions (EGL, GLX, WGL, etc.) may be accessed.
`int` | `getSwapInterval()` Provides a platform-independent way to get the swap interval set by `GLBase.setSwapInterval(int)`.
`void` | `glActiveTexture(int arg0)` Interface to C language function: `void glActiveTexture(GLenum texture);`
`ByteBuffer` | `glAllocateMemoryNV(int arg0, float arg1, float arg2, float arg3)` Provides platform-independent access to the `wglAllocateMemoryNV` / `glXAllocateMemoryNV` extension.
`void` | `glAttachShader(int arg0, int arg1)` Interface to C language function: `void glAttachShader(GLuint program, GLuint shader);`
`void` | `glBeginConditionalRender(int arg0, int arg1)` Entry point to C language function: `void glBeginConditionalRender(GLuint target, GLenum id);` Part of `GL_VERSION_3_0`
`void` | `glBeginQuery(int arg0, int arg1)` Entry point to C language function: `void glBeginQuery(GLenum target, GLuint id);` Part of `GL_VERSION_1_5`
`void` | `glBeginTransformFeedback(int arg0)` Entry point to C language function: `void glBeginTransformFeedback(GLenum mode);` Part of `GL_VERSION_3_0`
`void` | `glBindAttribLocation(int arg0, int arg1, String arg2)` Interface to C language function: `void glBindAttribLocation(GLuint program, GLuint index, const char * name);`
`void` | `glBindBuffer(int arg0, int arg1)` Interface to C language function: `void glBindBuffer(GLenum target, GLuint buffer);`
`void` | `glBindBufferBase(int arg0, int arg1, int arg2)` Entry point to C language function: `void glBindBufferBase(GLenum red, GLuint green, GLuint blue);` Part of `GL_VERSION_3_0`
`void` | `glBindBufferRange(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glBindBufferRange(GLenum target, GLuint index, GLuint buffer, ptrdiff_t offset, ptrdiff_t size);` Part of `GL_VERSION_3_0`
`void` | `glBindFragDataLocation(int arg0, int arg1, String arg2)` Entry point to C language function: `void glBindFragDataLocation(GLuint program, GLuint index, const GLchar * name);` Part of `GL_VERSION_3_0`
`void` | `glBindFramebuffer(int arg0, int arg1)` Interface to C language function: `void glBindFramebuffer(GLenum target, GLuint framebuffer);`
`void` | `glBindRenderbuffer(int arg0, int arg1)` Interface to C language function: `void glBindRenderbuffer(GLenum target, GLuint renderbuffer);`
`void` | `glBindTexture(int arg0, int arg1)` Interface to C language function: `void glBindTexture(GLenum target, GLuint texture);`
`void` | `glBindVertexArray(int arg0)` Entry point to C language function: `void glBindVertexArray(GLuint mode);` Part of `GL_ARB_vertex_array_object`
`void` | `glBlendColor(float arg0, float arg1, float arg2, float arg3)` Interface to C language function: `void glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`
`void` | `glBlendEquation(int arg0)` Interface to C language function: `void glBlendEquation(GLenum mode);`
`void` | `glBlendEquationSeparate(int arg0, int arg1)` Interface to C language function: `void glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha);`
`void` | `glBlendFunc(int arg0, int arg1)` Interface to C language function: `void glBlendFunc(GLenum sfactor, GLenum dfactor);`
`void` | `glBlendFuncSeparate(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glBlendFuncSeparate(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha);`
`void` | `glBlitFramebuffer(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, int arg8, int arg9)` Entry point to C language function: `void glBlitFramebuffer(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter);` Part of `GL_ARB_framebuffer_object`
`void` | `glBufferData(int arg0, int arg1, Buffer arg2, int arg3)` Interface to C language function: `void glBufferData(GLenum target, GLsizeiptr size, const void * data, GLenum usage);`
`void` | `glBufferSubData(int arg0, int arg1, int arg2, Buffer arg3)` Interface to C language function: `void glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const void * data);`
`int` | `glCheckFramebufferStatus(int arg0)` Interface to C language function: `GLenum glCheckFramebufferStatus(GLenum target);`
`void` | `glClampColor(int arg0, int arg1)` Entry point to C language function: `void glClampColor(GLenum target, GLenum id);` Part of `GL_VERSION_3_0`
`void` | `glClear(int arg0)` Interface to C language function: `void glClear(GLbitfield mask);`
`void` | `glClearBufferfi(int arg0, int arg1, float arg2, int arg3)` Entry point to C language function: `void glClearBufferfi(GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil);` Part of `GL_VERSION_3_0`
`void` | `glClearBufferfv(int arg0, int arg1, float[] arg2, int arg3)` Entry point to C language function: `void glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat * value);` Part of `GL_VERSION_3_0`
`void` | `glClearBufferfv(int arg0, int arg1, FloatBuffer arg2)` Entry point to C language function: `void glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat * value);` Part of `GL_VERSION_3_0`
`void` | `glClearBufferiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint * value);` Part of `GL_VERSION_3_0`
`void` | `glClearBufferiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint * value);` Part of `GL_VERSION_3_0`
`void` | `glClearBufferuiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glClearBufferuiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glClearColor(float arg0, float arg1, float arg2, float arg3)` Interface to C language function: `void glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`
`void` | `glClearDepth(double arg0)`
`void` | `glClearDepthf(float arg0)` Interface to C language function: `void glClearDepthf(GLclampf depth);`
`void` | `glClearStencil(int arg0)` Interface to C language function: `void glClearStencil(GLint s);`
`int` | `glClientWaitSync(long arg0, int arg1, long arg2)` Entry point to C language function: `GLenum glClientWaitSync(GLsync sync, GLbitfield flags, uint64_t timeout);` Part of `GL_ARB_sync`
`void` | `glColorMask(boolean arg0, boolean arg1, boolean arg2, boolean arg3)` Interface to C language function: `void glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha);`
`void` | `glColorMaski(int arg0, boolean arg1, boolean arg2, boolean arg3, boolean arg4)` Entry point to C language function: `void glColorMaski(GLuint index, GLboolean x, GLboolean y, GLboolean z, GLboolean w);` Part of `GL_VERSION_3_0`
`void` | `glCompileShader(int arg0)` Interface to C language function: `void glCompileShader(GLuint shader);`
`void` | `glCompressedTexImage1D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, Buffer arg6)` Entry point to C language function: `void glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexImage1D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, long arg6)` Entry point to C language function: `void glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, Buffer arg7)` Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, long arg7)` Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexImage3D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, Buffer arg8)` Entry point to C language function: `void glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexImage3D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, long arg8)` Entry point to C language function: `void glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage1D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, Buffer arg6)` Entry point to C language function: `void glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage1D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, long arg6)` Entry point to C language function: `void glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, Buffer arg8)` Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, long arg8)` Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage3D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, int arg8, int arg9, Buffer arg10)` Entry point to C language function: `void glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage3D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, int arg8, int arg9, long arg10)` Entry point to C language function: `void glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCopyBufferSubData(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glCopyBufferSubData(GLenum readTarget, GLenum writeTarget, ptrdiff_t readOffset, ptrdiff_t writeOffset, ptrdiff_t size);` Part of `GL_ARB_copy_buffer`
`void` | `glCopyTexImage1D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6)` Entry point to C language function: `void glCopyTexImage1D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border);` Part of `GL_VERSION_1_1`
`void` | `glCopyTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7)` Interface to C language function: `void glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);`
`void` | `glCopyTexSubImage1D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glCopyTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width);` Part of `GL_VERSION_1_1`
`void` | `glCopyTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7)` Interface to C language function: `void glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);`
`void` | `glCopyTexSubImage3D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, int arg8)` Entry point to C language function: `void glCopyTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height);` Part of `GL_VERSION_1_2`
`int` | `glCreateProgram()` Interface to C language function: `GLuint glCreateProgram(void);`
`int` | `glCreateShader(int arg0)` Interface to C language function: `GLuint glCreateShader(GLenum type);`
`void` | `glCullFace(int arg0)` Interface to C language function: `void glCullFace(GLenum mode);`
`void` | `glDeleteBuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`
`void` | `glDeleteBuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`
`void` | `glDeleteFramebuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`
`void` | `glDeleteFramebuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`
`void` | `glDeleteProgram(int arg0)` Interface to C language function: `void glDeleteProgram(GLuint program);`
`void` | `glDeleteQueries(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glDeleteQueries(GLsizei n, const GLuint * ids);` Part of `GL_VERSION_1_5`
`void` | `glDeleteQueries(int arg0, IntBuffer arg1)` Entry point to C language function: `void glDeleteQueries(GLsizei n, const GLuint * ids);` Part of `GL_VERSION_1_5`
`void` | `glDeleteRenderbuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`
`void` | `glDeleteRenderbuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`
`void` | `glDeleteShader(int arg0)` Interface to C language function: `void glDeleteShader(GLuint shader);`
`void` | `glDeleteSync(long arg0)` Entry point to C language function: `void glDeleteSync(GLsync sync);` Part of `GL_ARB_sync`
`void` | `glDeleteTextures(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures);`
`void` | `glDeleteTextures(int arg0, IntBuffer arg1)` Interface to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures);`
`void` | `glDeleteVertexArrays(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glDeleteVertexArrays(GLsizei n, const GLuint * ids);` Part of `GL_ARB_vertex_array_object`
`void` | `glDeleteVertexArrays(int arg0, IntBuffer arg1)` Entry point to C language function: `void glDeleteVertexArrays(GLsizei n, const GLuint * ids);` Part of `GL_ARB_vertex_array_object`
`void` | `glDepthFunc(int arg0)` Interface to C language function: `void glDepthFunc(GLenum func);`
`void` | `glDepthMask(boolean arg0)` Interface to C language function: `void glDepthMask(GLboolean flag);`
`void` | `glDepthRange(double arg0, double arg1)`
`void` | `glDepthRangef(float arg0, float arg1)` Interface to C language function: `void glDepthRangef(GLclampf zNear, GLclampf zFar);`
`void` | `glDetachShader(int arg0, int arg1)` Interface to C language function: `void glDetachShader(GLuint program, GLuint shader);`
`void` | `glDisable(int arg0)` Interface to C language function: `void glDisable(GLenum cap);`
`void` | `glDisablei(int arg0, int arg1)` Entry point to C language function: `void glDisablei(GLenum target, GLuint id);` Part of `GL_VERSION_3_0`
`void` | `glDisableVertexAttribArray(int arg0)` Interface to C language function: `void glDisableVertexAttribArray(GLuint index);`
`void` | `glDrawArrays(int arg0, int arg1, int arg2)` Interface to C language function: `void glDrawArrays(GLenum mode, GLint first, GLsizei count);`
`void` | `glDrawArraysInstanced(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glDrawArraysInstancedARB(GLenum target, GLint s, GLsizei t, GLsizei r);` Part of `GL_ARB_draw_instanced`
`void` | `glDrawBuffer(int arg0)` Entry point to C language function: `void glDrawBuffer(GLenum mode);` Part of `GL_VERSION_1_0`
`void` | `glDrawBuffers(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * ids);` Part of `GL_VERSION_2_0`
`void` | `glDrawBuffers(int arg0, IntBuffer arg1)` Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * ids);` Part of `GL_VERSION_2_0`
`void` | `glDrawElements(int arg0, int arg1, int arg2, Buffer arg3)` Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);` Part of `GL_VERSION_1_1`
`void` | `glDrawElements(int arg0, int arg1, int arg2, long arg3)` Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);` Part of `GL_VERSION_1_1`
`void` | `glDrawElementsBaseVertex(int arg0, int arg1, int arg2, Buffer arg3, int arg4)` Entry point to C language function: `void glDrawElementsBaseVertex(GLenum mode, GLsizei count, GLenum type, GLvoid * indices, GLint basevertex);` Part of `GL_ARB_draw_elements_base_vertex`
`void` | `glDrawElementsInstanced(int arg0, int arg1, int arg2, Buffer arg3, int arg4)` Entry point to C language function: `void glDrawElementsInstancedARB(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei primcount);` Part of `GL_ARB_draw_instanced`
`void` | `glDrawElementsInstancedBaseVertex(int arg0, int arg1, int arg2, Buffer arg3, int arg4, int arg5)` Entry point to C language function: `void glDrawElementsInstancedBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei primcount, GLint basevertex);` Part of `GL_ARB_draw_elements_base_vertex`
`void` | `glDrawRangeElements(int arg0, int arg1, int arg2, int arg3, int arg4, Buffer arg5)` Entry point to C language function: `void glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices);` Part of `GL_VERSION_1_2`
`void` | `glDrawRangeElements(int arg0, int arg1, int arg2, int arg3, int arg4, long arg5)` Entry point to C language function: `void glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices);` Part of `GL_VERSION_1_2`
`void` | `glDrawRangeElementsBaseVertex(int arg0, int arg1, int arg2, int arg3, int arg4, Buffer arg5, int arg6)` Entry point to C language function: `void glDrawRangeElementsBaseVertex(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, GLvoid * indices, GLint basevertex);` Part of `GL_ARB_draw_elements_base_vertex`
`void` | `glEnable(int arg0)` Interface to C language function: `void glEnable(GLenum cap);`
`void` | `glEnablei(int arg0, int arg1)` Entry point to C language function: `void glEnablei(GLenum target, GLuint id);` Part of `GL_VERSION_3_0`
`void` | `glEnableVertexAttribArray(int arg0)` Interface to C language function: `void glEnableVertexAttribArray(GLuint index);`
`void` | `glEndConditionalRender()` Entry point to C language function: `void glEndConditionalRender(void);` Part of `GL_VERSION_3_0`
`void` | `glEndQuery(int arg0)` Entry point to C language function: `void glEndQuery(GLenum mode);` Part of `GL_VERSION_1_5`
`void` | `glEndTransformFeedback()` Entry point to C language function: `void glEndTransformFeedback(void);` Part of `GL_VERSION_3_0`
`long` | `glFenceSync(int arg0, int arg1)` Entry point to C language function: `GLsync glFenceSync(GLenum condition, GLbitfield flags);` Part of `GL_ARB_sync`
`void` | `glFinish()` Interface to C language function: `void glFinish(void);`
`void` | `glFlush()` Interface to C language function: `void glFlush(void);`
`void` | `glFlushMappedBufferRange(int arg0, int arg1, int arg2)` Entry point to C language function: `void glFlushMappedBufferRange(GLenum target, ptrdiff_t s, ptrdiff_t t);` Part of `GL_ARB_map_buffer_range`
`void` | `glFramebufferRenderbuffer(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer);`
`void` | `glFramebufferTexture(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glFramebufferTextureARB(GLenum target, GLenum attachment, GLuint texture, GLint level);` Part of `GL_ARB_geometry_shader4`
`void` | `glFramebufferTexture1D(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glFramebufferTexture1D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);` Part of `GL_ARB_framebuffer_object`
`void` | `glFramebufferTexture2D(int arg0, int arg1, int arg2, int arg3, int arg4)` Interface to C language function: `void glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);`
`void` | `glFramebufferTexture3D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glFramebufferTexture3D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset);` Part of `GL_ARB_framebuffer_object`
`void` | `glFramebufferTextureFace(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glFramebufferTextureFaceARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face);` Part of `GL_ARB_geometry_shader4`
`void` | `glFramebufferTextureLayer(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glFramebufferTextureLayer(GLenum target, GLenum index, GLuint buffer, GLint offset, GLint size);` Part of `GL_ARB_framebuffer_object`
`void` | `glFrontFace(int arg0)` Interface to C language function: `void glFrontFace(GLenum mode);`
`void` | `glGenBuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers);`
`void` | `glGenBuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers);`
`void` | `glGenerateMipmap(int arg0)` Interface to C language function: `void glGenerateMipmap(GLenum target);`
`void` | `glGenFramebuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`
`void` | `glGenFramebuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`
`void` | `glGenQueries(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glGenQueries(GLsizei n, GLuint * ids);` Part of `GL_VERSION_1_5`
`void` | `glGenQueries(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGenQueries(GLsizei n, GLuint * ids);` Part of `GL_VERSION_1_5`
`void` | `glGenRenderbuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`
`void` | `glGenRenderbuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`
`void` | `glGenTextures(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGenTextures(GLsizei n, GLuint * textures);`
`void` | `glGenTextures(int arg0, IntBuffer arg1)` Interface to C language function: `void glGenTextures(GLsizei n, GLuint * textures);`
`void` | `glGenVertexArrays(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glGenVertexArrays(GLsizei n, GLuint * ids);` Part of `GL_ARB_vertex_array_object`
`void` | `glGenVertexArrays(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGenVertexArrays(GLsizei n, GLuint * ids);` Part of `GL_ARB_vertex_array_object`
`void` | `glGetActiveAttrib(int arg0, int arg1, int arg2, int[] arg3, int arg4, int[] arg5, int arg6, int[] arg7, int arg8, byte[] arg9, int arg10)` Interface to C language function: `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`
`void` | `glGetActiveAttrib(int arg0, int arg1, int arg2, IntBuffer arg3, IntBuffer arg4, IntBuffer arg5, ByteBuffer arg6)` Interface to C language function: `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`
`void` | `glGetActiveUniform(int arg0, int arg1, int arg2, int[] arg3, int arg4, int[] arg5, int arg6, int[] arg7, int arg8, byte[] arg9, int arg10)` Interface to C language function: `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`
`void` | `glGetActiveUniform(int arg0, int arg1, int arg2, IntBuffer arg3, IntBuffer arg4, IntBuffer arg5, ByteBuffer arg6)` Interface to C language function: `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`
`void` | `glGetActiveUniformBlockiv(int arg0, int arg1, int arg2, int[] arg3, int arg4)` Entry point to C language function: `void glGetActiveUniformBlockiv(GLuint target, GLuint attachment, GLenum pname, GLint * params);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformBlockiv(int arg0, int arg1, int arg2, IntBuffer arg3)` Entry point to C language function: `void glGetActiveUniformBlockiv(GLuint target, GLuint attachment, GLenum pname, GLint * params);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformBlockName(int arg0, int arg1, int arg2, int[] arg3, int arg4, byte[] arg5, int arg6)` Entry point to C language function: `void glGetActiveUniformBlockName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformBlockName(int arg0, int arg1, int arg2, IntBuffer arg3, ByteBuffer arg4)` Entry point to C language function: `void glGetActiveUniformBlockName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformName(int arg0, int arg1, int arg2, int[] arg3, int arg4, byte[] arg5, int arg6)` Entry point to C language function: `void glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformName(int arg0, int arg1, int arg2, IntBuffer arg3, ByteBuffer arg4)` Entry point to C language function: `void glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformsiv(int arg0, int arg1, int[] arg2, int arg3, int arg4, int[] arg5, int arg6)` Entry point to C language function: `void glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetActiveUniformsiv(int arg0, int arg1, IntBuffer arg2, int arg3, IntBuffer arg4)` Entry point to C language function: `void glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetAttachedShaders(int arg0, int arg1, int[] arg2, int arg3, int[] arg4, int arg5)` Interface to C language function: `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders);`
`void` | `glGetAttachedShaders(int arg0, int arg1, IntBuffer arg2, IntBuffer arg3)` Interface to C language function: `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders);`
`int` | `glGetAttribLocation(int arg0, String arg1)` Interface to C language function: `int glGetAttribLocation(GLuint program, const char * name);`
`void` | `glGetBooleani_v(int arg0, int arg1, byte[] arg2, int arg3)` Entry point to C language function: `void glGetBooleani_v(GLenum target, GLuint index, GLboolean * data);` Part of `GL_VERSION_3_0`
`void` | `glGetBooleani_v(int arg0, int arg1, ByteBuffer arg2)` Entry point to C language function: `void glGetBooleani_v(GLenum target, GLuint index, GLboolean * data);` Part of `GL_VERSION_3_0`
`void` | `glGetBooleanv(int arg0, byte[] arg1, int arg2)` Interface to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params);`
`void` | `glGetBooleanv(int arg0, ByteBuffer arg1)` Interface to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params);`
`int` | `glGetBoundBuffer(int arg0)`
`void` | `glGetBufferParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetBufferParameteriv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetBufferSubData(int arg0, int arg1, int arg2, Buffer arg3)` Entry point to C language function: `void glGetBufferSubData(GLenum target, ptrdiff_t offset, ptrdiff_t size, GLvoid * data);` Part of `GL_VERSION_1_5`
`void` | `glGetCompressedTexImage(int arg0, int arg1, Buffer arg2)` Entry point to C language function: `void glGetCompressedTexImage(GLenum target, GLint level, GLvoid * img);` Part of `GL_VERSION_1_3`
`void` | `glGetCompressedTexImage(int arg0, int arg1, long arg2)` Entry point to C language function: `void glGetCompressedTexImage(GLenum target, GLint level, GLvoid * img);` Part of `GL_VERSION_1_3`
`void` | `glGetDoublev(int arg0, double[] arg1, int arg2)` Entry point to C language function: `void glGetDoublev(GLenum pname, GLdouble * params);` Part of `GL_VERSION_1_0`
`void` | `glGetDoublev(int arg0, DoubleBuffer arg1)` Entry point to C language function: `void glGetDoublev(GLenum pname, GLdouble * params);` Part of `GL_VERSION_1_0`
`int` | `glGetError()` Interface to C language function: `GLenum glGetError(void);`
`void` | `glGetFloatv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glGetFloatv(GLenum pname, GLfloat * params);`
`void` | `glGetFloatv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glGetFloatv(GLenum pname, GLfloat * params);`
`int` | `glGetFragDataLocation(int arg0, String arg1)` Entry point to C language function: `GLint glGetFragDataLocation(GLuint program, const GLchar * name);` Part of `GL_VERSION_3_0`
`void` | `glGetFramebufferAttachmentParameteriv(int arg0, int arg1, int arg2, int[] arg3, int arg4)` Interface to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`
`void` | `glGetFramebufferAttachmentParameteriv(int arg0, int arg1, int arg2, IntBuffer arg3)` Interface to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`
`void` | `glGetInteger64v(int arg0, long[] arg1, int arg2)` Entry point to C language function: `void glGetInteger64v(GLenum pname, int64_t * params);` Part of `GL_ARB_sync`
`void` | `glGetInteger64v(int arg0, com.sun.gluegen.runtime.PointerBuffer arg1)` Entry point to C language function: `void glGetInteger64v(GLenum pname, int64_t * params);` Part of `GL_ARB_sync`
`void` | `glGetIntegeri_v(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetIntegeri_v(GLenum target, GLuint pname, GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetIntegeri_v(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetIntegeri_v(GLenum target, GLuint pname, GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetIntegerv(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGetIntegerv(GLenum pname, GLint * params);`
`void` | `glGetIntegerv(int arg0, IntBuffer arg1)` Interface to C language function: `void glGetIntegerv(GLenum pname, GLint * params);`
`void` | `glGetMultisamplefv(int arg0, int arg1, float[] arg2, int arg3)` Entry point to C language function: `void glGetMultisamplefv(GLenum pname, GLuint index, GLfloat * val);` Part of `GL_ARB_texture_multisample`
`void` | `glGetMultisamplefv(int arg0, int arg1, FloatBuffer arg2)` Entry point to C language function: `void glGetMultisamplefv(GLenum pname, GLuint index, GLfloat * val);` Part of `GL_ARB_texture_multisample`
`void` | `glGetProgramInfoLog(int arg0, int arg1, int[] arg2, int arg3, byte[] arg4, int arg5)` Interface to C language function: `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, char * infolog);`
`void` | `glGetProgramInfoLog(int arg0, int arg1, IntBuffer arg2, ByteBuffer arg3)` Interface to C language function: `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, char * infolog);`
`void` | `glGetProgramiv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetProgramiv(GLuint program, GLenum pname, GLint * params);`
`void` | `glGetProgramiv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetProgramiv(GLuint program, GLenum pname, GLint * params);`
`void` | `glGetQueryiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetQueryiv(GLenum target, GLenum pname, GLint * params);` Part of `GL_VERSION_1_5`
`void` | `glGetQueryiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetQueryiv(GLenum target, GLenum pname, GLint * params);` Part of `GL_VERSION_1_5`
`void` | `glGetQueryObjectiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetQueryObjectiv(GLuint target, GLenum pname, GLint * params);` Part of `GL_VERSION_1_5`
`void` | `glGetQueryObjectiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetQueryObjectiv(GLuint target, GLenum pname, GLint * params);` Part of `GL_VERSION_1_5`
`void` | `glGetQueryObjectuiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint * params);` Part of `GL_VERSION_1_5`
`void` | `glGetQueryObjectuiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint * params);` Part of `GL_VERSION_1_5`
`void` | `glGetRenderbufferParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetRenderbufferParameteriv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetShaderInfoLog(int arg0, int arg1, int[] arg2, int arg3, byte[] arg4, int arg5)` Interface to C language function: `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, char * infolog);`
`void` | `glGetShaderInfoLog(int arg0, int arg1, IntBuffer arg2, ByteBuffer arg3)` Interface to C language function: `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, char * infolog);`
`void` | `glGetShaderiv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params);`
`void` | `glGetShaderiv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params);`
`void` | `glGetShaderSource(int arg0, int arg1, int[] arg2, int arg3, byte[] arg4, int arg5)` Interface to C language function: `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, char * source);`
`void` | `glGetShaderSource(int arg0, int arg1, IntBuffer arg2, ByteBuffer arg3)` Interface to C language function: `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, char * source);`
`String` | `glGetString(int arg0)` Interface to C language function: `const GLubyte * glGetString(GLenum name);`
`String` | `glGetStringi(int arg0, int arg1)` Entry point to C language function: `const GLubyte * glGetStringi(GLenum name, GLuint index);` Part of `GL_VERSION_3_0`
`void` | `glGetSynciv(long arg0, int arg1, int arg2, int[] arg3, int arg4, int[] arg5, int arg6)` Entry point to C language function: `void glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values);` Part of `GL_ARB_sync`
`void` | `glGetSynciv(long arg0, int arg1, int arg2, IntBuffer arg3, IntBuffer arg4)` Entry point to C language function: `void glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values);` Part of `GL_ARB_sync`
`void` | `glGetTexImage(int arg0, int arg1, int arg2, int arg3, Buffer arg4)` Entry point to C language function: `void glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels);` Part of `GL_VERSION_1_0`
`void` | `glGetTexImage(int arg0, int arg1, int arg2, int arg3, long arg4)` Entry point to C language function: `void glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels);` Part of `GL_VERSION_1_0`
`void` | `glGetTexLevelParameterfv(int arg0, int arg1, int arg2, float[] arg3, int arg4)` Entry point to C language function: `void glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat * params);` Part of `GL_VERSION_1_0`
`void` | `glGetTexLevelParameterfv(int arg0, int arg1, int arg2, FloatBuffer arg3)` Entry point to C language function: `void glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat * params);` Part of `GL_VERSION_1_0`
`void` | `glGetTexLevelParameteriv(int arg0, int arg1, int arg2, int[] arg3, int arg4)` Entry point to C language function: `void glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint * params);` Part of `GL_VERSION_1_0`
`void` | `glGetTexLevelParameteriv(int arg0, int arg1, int arg2, IntBuffer arg3)` Entry point to C language function: `void glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint * params);` Part of `GL_VERSION_1_0`
`void` | `glGetTexParameterfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`
`void` | `glGetTexParameterfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`
`void` | `glGetTexParameterIiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetTexParameterIiv(GLenum target, GLenum pname, GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetTexParameterIiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetTexParameterIiv(GLenum target, GLenum pname, GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetTexParameterIuiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetTexParameterIuiv(GLenum id, GLenum pname, GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetTexParameterIuiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetTexParameterIuiv(GLenum id, GLenum pname, GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetTexParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetTexParameteriv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetTransformFeedbackVarying(int arg0, int arg1, int arg2, int[] arg3, int arg4, int[] arg5, int arg6, int[] arg7, int arg8, byte[] arg9, int arg10)` Entry point to C language function: `void glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name);` Part of `GL_VERSION_3_0`
`void` | `glGetTransformFeedbackVarying(int arg0, int arg1, int arg2, IntBuffer arg3, IntBuffer arg4, IntBuffer arg5, ByteBuffer arg6)` Entry point to C language function: `void glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name);` Part of `GL_VERSION_3_0`
`int` | `glGetUniformBlockIndex(int arg0, String arg1)` Entry point to C language function: `GLuint glGetUniformBlockIndex(GLuint program, const GLchar * uniformBlockName);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetUniformfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glGetUniformfv(GLuint program, GLint location, GLfloat * params);`
`void` | `glGetUniformfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glGetUniformfv(GLuint program, GLint location, GLfloat * params);`
`void` | `glGetUniformIndices(int arg0, int arg1, String[] arg2, int[] arg3, int arg4)` Entry point to C language function: `void glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * * uniformNames, GLuint * uniformIndices);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetUniformIndices(int arg0, int arg1, String[] arg2, IntBuffer arg3)` Entry point to C language function: `void glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * * uniformNames, GLuint * uniformIndices);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glGetUniformiv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetUniformiv(GLuint program, GLint location, GLint * params);`
`void` | `glGetUniformiv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetUniformiv(GLuint program, GLint location, GLint * params);`
`int` | `glGetUniformLocation(int arg0, String arg1)` Interface to C language function: `int glGetUniformLocation(GLuint program, const char * name);`
`void` | `glGetUniformuiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetUniformuiv(GLuint program, GLint location, GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetUniformuiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetUniformuiv(GLuint program, GLint location, GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetVertexAttribdv(int arg0, int arg1, double[] arg2, int arg3)` Entry point to C language function: `void glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble * params);` Part of `GL_VERSION_2_0`
`void` | `glGetVertexAttribdv(int arg0, int arg1, DoubleBuffer arg2)` Entry point to C language function: `void glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble * params);` Part of `GL_VERSION_2_0`
`void` | `glGetVertexAttribfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params);`
`void` | `glGetVertexAttribfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params);`
`void` | `glGetVertexAttribIiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetVertexAttribIiv(GLuint target, GLenum pname, GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetVertexAttribIiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetVertexAttribIiv(GLuint target, GLenum pname, GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetVertexAttribIuiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetVertexAttribIuiv(GLuint id, GLenum pname, GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetVertexAttribIuiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetVertexAttribIuiv(GLuint id, GLenum pname, GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetVertexAttribiv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params);`
`void` | `glGetVertexAttribiv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params);`
`void` | `glHint(int arg0, int arg1)` Interface to C language function: `void glHint(GLenum target, GLenum mode);`
`boolean` | `glIsBuffer(int arg0)` Interface to C language function: `GLboolean glIsBuffer(GLuint buffer);`
`boolean` | `glIsEnabled(int arg0)` Interface to C language function: `GLboolean glIsEnabled(GLenum cap);`
`boolean` | `glIsEnabledi(int arg0, int arg1)` Entry point to C language function: `GLboolean glIsEnabledi(GLenum target, GLuint index);` Part of `GL_VERSION_3_0`
`boolean` | `glIsFramebuffer(int arg0)` Interface to C language function: `GLboolean glIsFramebuffer(GLuint framebuffer);`
`boolean` | `glIsProgram(int arg0)` Interface to C language function: `GLboolean glIsProgram(GLuint program);`
`boolean` | `glIsQuery(int arg0)` Entry point to C language function: `GLboolean glIsQuery(GLuint id);` Part of `GL_VERSION_1_5`
`boolean` | `glIsRenderbuffer(int arg0)` Interface to C language function: `GLboolean glIsRenderbuffer(GLuint renderbuffer);`
`boolean` | `glIsShader(int arg0)` Interface to C language function: `GLboolean glIsShader(GLuint shader);`
`boolean` | `glIsSync(long arg0)` Entry point to C language function: `GLboolean glIsSync(GLsync sync);` Part of `GL_ARB_sync`
`boolean` | `glIsTexture(int arg0)` Interface to C language function: `GLboolean glIsTexture(GLuint texture);`
`boolean` | `glIsVBOArrayEnabled()`
`boolean` | `glIsVBOElementEnabled()`
`boolean` | `glIsVertexArray(int arg0)` Entry point to C language function: `GLboolean glIsVertexArray(GLuint id);` Part of `GL_ARB_vertex_array_object`
`void` | `glLineWidth(float arg0)` Interface to C language function: `void glLineWidth(GLfloat width);`
`void` | `glLinkProgram(int arg0)` Interface to C language function: `void glLinkProgram(GLuint program);`
`void` | `glLogicOp(int arg0)` Entry point to C language function: `void glLogicOp(GLenum opcode);` Part of `GL_VERSION_1_0`
`ByteBuffer` | `glMapBuffer(int arg0, int arg1)` Interface to C language function: `GLeglImageOES glMapBufferOES(GLenum target, GLenum access);`
`ByteBuffer` | `glMapBufferRange(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `GLvoid * glMapBufferRange(GLenum target, ptrdiff_t offset, ptrdiff_t length, GLbitfield access);` Part of `GL_ARB_map_buffer_range`
`void` | `glMultiDrawArrays(int arg0, int[] arg1, int arg2, int[] arg3, int arg4, int arg5)` Entry point to C language function: `void glMultiDrawArrays(GLenum mode, GLint * first, GLsizei * count, GLsizei primcount);` Part of `GL_VERSION_1_4`
`void` | `glMultiDrawArrays(int arg0, IntBuffer arg1, IntBuffer arg2, int arg3)` Entry point to C language function: `void glMultiDrawArrays(GLenum mode, GLint * first, GLsizei * count, GLsizei primcount);` Part of `GL_VERSION_1_4`
`void` | `glMultiDrawElements(int arg0, int[] arg1, int arg2, int arg3, Buffer[] arg4, int arg5)` Entry point to C language function: `void glMultiDrawElements(GLenum mode, const GLsizei * count, GLenum type, const GLvoid * * indices, GLsizei primcount);` Part of `GL_VERSION_1_4`
`void` | `glMultiDrawElements(int arg0, IntBuffer arg1, int arg2, Buffer[] arg3, int arg4)` Entry point to C language function: `void glMultiDrawElements(GLenum mode, const GLsizei * count, GLenum type, const GLvoid * * indices, GLsizei primcount);` Part of `GL_VERSION_1_4`
`void` | `glPixelStoref(int arg0, float arg1)` Entry point to C language function: `void glPixelStoref(GLenum pname, GLfloat param);` Part of `GL_VERSION_1_0`
`void` | `glPixelStorei(int arg0, int arg1)` Interface to C language function: `void glPixelStorei(GLenum pname, GLint param);`
`void` | `glPointParameterf(int arg0, float arg1)` Entry point to C language function: `void glPointParameterf(GLenum target, GLfloat s);` Part of `GL_VERSION_1_4`
`void` | `glPointParameterfv(int arg0, float[] arg1, int arg2)` Entry point to C language function: `void glPointParameterfv(GLenum target, const GLfloat * v);` Part of `GL_VERSION_1_4`
`void` | `glPointParameterfv(int arg0, FloatBuffer arg1)` Entry point to C language function: `void glPointParameterfv(GLenum target, const GLfloat * v);` Part of `GL_VERSION_1_4`
`void` | `glPointParameteri(int arg0, int arg1)` Entry point to C language function: `void glPointParameteri(GLenum target, GLint s);` Part of `GL_VERSION_1_4`
`void` | `glPointParameteriv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glPointParameteriv(GLenum target, const GLint * v);` Part of `GL_VERSION_1_4`
`void` | `glPointParameteriv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glPointParameteriv(GLenum target, const GLint * v);` Part of `GL_VERSION_1_4`
`void` | `glPointSize(float arg0)` Entry point to C language function: `void glPointSize(GLfloat size);` Part of `GL_VERSION_1_0`
`void` | `glPolygonMode(int arg0, int arg1)` Entry point to C language function: `void glPolygonMode(GLenum face, GLenum mode);` Part of `GL_VERSION_1_0`
`void` | `glPolygonOffset(float arg0, float arg1)` Interface to C language function: `void glPolygonOffset(GLfloat factor, GLfloat units);`
`void` | `glPrimitiveRestartIndex(int arg0)` Entry point to C language function: `void glPrimitiveRestartIndexNV(GLuint mode);` Part of `GL_NV_primitive_restart`
`void` | `glProgramParameteri(int arg0, int arg1, int arg2)` Entry point to C language function: `void glProgramParameteriARB(GLuint target, GLenum pname, GLint params);` Part of `GL_ARB_geometry_shader4`
`void` | `glProvokingVertex(int arg0)` Entry point to C language function: `void glProvokingVertex(GLenum mode);` Part of `GL_ARB_provoking_vertex`
`void` | `glReadBuffer(int arg0)` Entry point to C language function: `void glReadBuffer(GLenum mode);` Part of `GL_VERSION_1_0`
`void` | `glReadPixels(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, Buffer arg6)` Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);` Part of `GL_VERSION_1_0`
`void` | `glReadPixels(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, long arg6)` Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);` Part of `GL_VERSION_1_0`
`void` | `glReleaseShaderCompiler()` Interface to C language function: `void glReleaseShaderCompiler(void);`
`void` | `glRenderbufferStorage(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height);`
`void` | `glRenderbufferStorageMultisample(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glRenderbufferStorageMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height);` Part of `GL_ARB_framebuffer_object`
`void` | `glSampleCoverage(float arg0, boolean arg1)` Interface to C language function: `void glSampleCoverage(GLclampf value, GLboolean invert);`
`void` | `glSampleMaski(int arg0, int arg1)` Entry point to C language function: `void glSampleMaski(GLuint index, GLbitfield mask);` Part of `GL_ARB_texture_multisample`
`void` | `glScissor(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glScissor(GLint x, GLint y, GLsizei width, GLsizei height);`
`void` | `glShaderBinary(int arg0, int[] arg1, int arg2, int arg3, Buffer arg4, int arg5)` Interface to C language function: `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`
`void` | `glShaderBinary(int arg0, IntBuffer arg1, int arg2, Buffer arg3, int arg4)` Interface to C language function: `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`
`void` | `glShaderSource(int arg0, int arg1, String[] arg2, int[] arg3, int arg4)` Interface to C language function: `void glShaderSource(GLuint shader, GLsizei count, const char * * string, const GLint * length);`
`void` | `glShaderSource(int arg0, int arg1, String[] arg2, IntBuffer arg3)` Interface to C language function: `void glShaderSource(GLuint shader, GLsizei count, const char * * string, const GLint * length);`
`void` | `glStencilFunc(int arg0, int arg1, int arg2)` Interface to C language function: `void glStencilFunc(GLenum func, GLint ref, GLuint mask);`
`void` | `glStencilFuncSeparate(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glStencilFuncSeparate(GLenum face, GLenum func, GLint ref, GLuint mask);`
`void` | `glStencilMask(int arg0)` Interface to C language function: `void glStencilMask(GLuint mask);`
`void` | `glStencilMaskSeparate(int arg0, int arg1)` Interface to C language function: `void glStencilMaskSeparate(GLenum face, GLuint mask);`
`void` | `glStencilOp(int arg0, int arg1, int arg2)` Interface to C language function: `void glStencilOp(GLenum fail, GLenum zfail, GLenum zpass);`
`void` | `glStencilOpSeparate(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glStencilOpSeparate(GLenum face, GLenum fail, GLenum zfail, GLenum zpass);`
`void` | `glTessellationFactorAMD(float arg0)` Entry point to C language function: `void glTessellationFactorAMD(GLfloat factor);` Part of `GL_AMD_vertex_shader_tessellator`
`void` | `glTessellationModeAMD(int arg0)` Entry point to C language function: `void glTessellationModeAMD(GLenum mode);` Part of `GL_AMD_vertex_shader_tessellator`
`void` | `glTexBuffer(int arg0, int arg1, int arg2)` Entry point to C language function: `void glTexBufferARB(GLenum red, GLenum green, GLuint blue);` Part of `GL_ARB_texture_buffer_object`
`void` | `glTexImage1D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, Buffer arg7)` Entry point to C language function: `void glTexImage1D(GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_0`
`void` | `glTexImage1D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, long arg7)` Entry point to C language function: `void glTexImage1D(GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_0`
`void` | `glTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, Buffer arg8)` Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_0`
`void` | `glTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, long arg8)` Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_0`
`void` | `glTexImage2DMultisample(int arg0, int arg1, int arg2, int arg3, int arg4, boolean arg5)` Entry point to C language function: `void glTexImage2DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations);` Part of `GL_ARB_texture_multisample`
`void` | `glTexImage3D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, int arg8, Buffer arg9)` Entry point to C language function: `void glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_2`
`void` | `glTexImage3D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, int arg8, long arg9)` Entry point to C language function: `void glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_2`
`void` | `glTexImage3DMultisample(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, boolean arg6)` Entry point to C language function: `void glTexImage3DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations);` Part of `GL_ARB_texture_multisample`
`void` | `glTexParameterf(int arg0, int arg1, float arg2)` Interface to C language function: `void glTexParameterf(GLenum target, GLenum pname, GLfloat param);`
`void` | `glTexParameterfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`
`void` | `glTexParameterfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`
`void` | `glTexParameteri(int arg0, int arg1, int arg2)` Interface to C language function: `void glTexParameteri(GLenum target, GLenum pname, GLint param);`
`void` | `glTexParameterIiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glTexParameterIiv(GLenum target, GLenum pname, const GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glTexParameterIiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glTexParameterIiv(GLenum target, GLenum pname, const GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glTexParameterIuiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glTexParameterIuiv(GLenum target, GLenum pname, const GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glTexParameterIuiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glTexParameterIuiv(GLenum target, GLenum pname, const GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glTexParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`
`void` | `glTexParameteriv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`
`void` | `glTexSubImage1D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, Buffer arg6)` Entry point to C language function: `void glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_1`
`void` | `glTexSubImage1D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, long arg6)` Entry point to C language function: `void glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_1`
`void` | `glTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, Buffer arg8)` Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_1`
`void` | `glTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, long arg8)` Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_1`
`void` | `glTexSubImage3D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, int arg8, int arg9, Buffer arg10)` Entry point to C language function: `void glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_2`
`void` | `glTexSubImage3D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, int arg8, int arg9, long arg10)` Entry point to C language function: `void glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_2`
`void` | `glTransformFeedbackVaryings(int arg0, int arg1, String[] arg2, int arg3)` Entry point to C language function: `void glTransformFeedbackVaryings(GLuint program, GLsizei count, const GLchar * * locations, GLenum bufferMode);` Part of `GL_VERSION_3_0`
`void` | `glUniform(GLUniformData arg0)`
`void` | `glUniform1f(int arg0, float arg1)` Interface to C language function: `void glUniform1f(GLint location, GLfloat x);`
`void` | `glUniform1fv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform1fv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform1i(int arg0, int arg1)` Interface to C language function: `void glUniform1i(GLint location, GLint x);`
`void` | `glUniform1iv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glUniform1iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform1iv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glUniform1iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform1ui(int arg0, int arg1)` Entry point to C language function: `void glUniform1ui(GLint location, GLuint v0);` Part of `GL_VERSION_3_0`
`void` | `glUniform1uiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glUniform1uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform1uiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glUniform1uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform2f(int arg0, float arg1, float arg2)` Interface to C language function: `void glUniform2f(GLint location, GLfloat x, GLfloat y);`
`void` | `glUniform2fv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform2fv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform2i(int arg0, int arg1, int arg2)` Interface to C language function: `void glUniform2i(GLint location, GLint x, GLint y);`
`void` | `glUniform2iv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glUniform2iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform2iv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glUniform2iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform2ui(int arg0, int arg1, int arg2)` Entry point to C language function: `void glUniform2ui(GLint location, GLuint v0, GLuint v1);` Part of `GL_VERSION_3_0`
`void` | `glUniform2uiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glUniform2uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform2uiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glUniform2uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform3f(int arg0, float arg1, float arg2, float arg3)` Interface to C language function: `void glUniform3f(GLint location, GLfloat x, GLfloat y, GLfloat z);`
`void` | `glUniform3fv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform3fv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform3i(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glUniform3i(GLint location, GLint x, GLint y, GLint z);`
`void` | `glUniform3iv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glUniform3iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform3iv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glUniform3iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform3ui(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glUniform3ui(GLint location, GLuint v0, GLuint v1, GLuint v2);` Part of `GL_VERSION_3_0`
`void` | `glUniform3uiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glUniform3uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform3uiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glUniform3uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform4f(int arg0, float arg1, float arg2, float arg3, float arg4)` Interface to C language function: `void glUniform4f(GLint location, GLfloat x, GLfloat y, GLfloat z, GLfloat w);`
`void` | `glUniform4fv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform4fv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform4i(int arg0, int arg1, int arg2, int arg3, int arg4)` Interface to C language function: `void glUniform4i(GLint location, GLint x, GLint y, GLint z, GLint w);`
`void` | `glUniform4iv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glUniform4iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform4iv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glUniform4iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform4ui(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glUniform4ui(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3);` Part of `GL_VERSION_3_0`
`void` | `glUniform4uiv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glUniform4uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform4uiv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glUniform4uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniformBlockBinding(int arg0, int arg1, int arg2)` Entry point to C language function: `void glUniformBlockBinding(GLuint fail, GLuint zfail, GLuint zpass);` Part of `GL_ARB_uniform_buffer_object`
`void` | `glUniformMatrix2fv(int arg0, int arg1, boolean arg2, float[] arg3, int arg4)` Interface to C language function: `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix2fv(int arg0, int arg1, boolean arg2, FloatBuffer arg3)` Interface to C language function: `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix2x3fv(int arg0, int arg1, boolean arg2, float[] arg3, int arg4)` Entry point to C language function: `void glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix2x3fv(int arg0, int arg1, boolean arg2, FloatBuffer arg3)` Entry point to C language function: `void glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix2x4fv(int arg0, int arg1, boolean arg2, float[] arg3, int arg4)` Entry point to C language function: `void glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix2x4fv(int arg0, int arg1, boolean arg2, FloatBuffer arg3)` Entry point to C language function: `void glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix3fv(int arg0, int arg1, boolean arg2, float[] arg3, int arg4)` Interface to C language function: `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix3fv(int arg0, int arg1, boolean arg2, FloatBuffer arg3)` Interface to C language function: `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix3x2fv(int arg0, int arg1, boolean arg2, float[] arg3, int arg4)` Entry point to C language function: `void glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix3x2fv(int arg0, int arg1, boolean arg2, FloatBuffer arg3)` Entry point to C language function: `void glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix3x4fv(int arg0, int arg1, boolean arg2, float[] arg3, int arg4)` Entry point to C language function: `void glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix3x4fv(int arg0, int arg1, boolean arg2, FloatBuffer arg3)` Entry point to C language function: `void glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix4fv(int arg0, int arg1, boolean arg2, float[] arg3, int arg4)` Interface to C language function: `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix4fv(int arg0, int arg1, boolean arg2, FloatBuffer arg3)` Interface to C language function: `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix4x2fv(int arg0, int arg1, boolean arg2, float[] arg3, int arg4)` Entry point to C language function: `void glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix4x2fv(int arg0, int arg1, boolean arg2, FloatBuffer arg3)` Entry point to C language function: `void glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix4x3fv(int arg0, int arg1, boolean arg2, float[] arg3, int arg4)` Entry point to C language function: `void glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix4x3fv(int arg0, int arg1, boolean arg2, FloatBuffer arg3)` Entry point to C language function: `void glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`boolean` | `glUnmapBuffer(int arg0)` Entry point to C language function: `GLboolean glUnmapBufferOES(GLenum target);` Part of `GL_VERSION_1_5, GL_OES_mapbuffer`
`void` | `glUseProgram(int arg0)` Interface to C language function: `void glUseProgram(GLuint program);`
`void` | `glValidateProgram(int arg0)` Interface to C language function: `void glValidateProgram(GLuint program);`
`void` | `glVertexAttrib1d(int arg0, double arg1)` Entry point to C language function: `void glVertexAttrib1d(GLuint target, GLdouble s);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib1dv(int arg0, double[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib1dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib1dv(int arg0, DoubleBuffer arg1)` Entry point to C language function: `void glVertexAttrib1dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib1f(int arg0, float arg1)` Interface to C language function: `void glVertexAttrib1f(GLuint indx, GLfloat x);`
`void` | `glVertexAttrib1fv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glVertexAttrib1fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib1fv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glVertexAttrib1fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib1s(int arg0, short arg1)` Entry point to C language function: `void glVertexAttrib1s(GLuint target, GLshort s);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib1sv(int arg0, short[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib1sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib1sv(int arg0, ShortBuffer arg1)` Entry point to C language function: `void glVertexAttrib1sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib2d(int arg0, double arg1, double arg2)` Entry point to C language function: `void glVertexAttrib2d(GLuint target, GLdouble s, GLdouble t);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib2dv(int arg0, double[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib2dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib2dv(int arg0, DoubleBuffer arg1)` Entry point to C language function: `void glVertexAttrib2dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib2f(int arg0, float arg1, float arg2)` Interface to C language function: `void glVertexAttrib2f(GLuint indx, GLfloat x, GLfloat y);`
`void` | `glVertexAttrib2fv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glVertexAttrib2fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib2fv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glVertexAttrib2fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib2s(int arg0, short arg1, short arg2)` Entry point to C language function: `void glVertexAttrib2s(GLuint target, GLshort s, GLshort t);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib2sv(int arg0, short[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib2sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib2sv(int arg0, ShortBuffer arg1)` Entry point to C language function: `void glVertexAttrib2sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib3d(int arg0, double arg1, double arg2, double arg3)` Entry point to C language function: `void glVertexAttrib3d(GLuint target, GLdouble s, GLdouble t, GLdouble r);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib3dv(int arg0, double[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib3dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib3dv(int arg0, DoubleBuffer arg1)` Entry point to C language function: `void glVertexAttrib3dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib3f(int arg0, float arg1, float arg2, float arg3)` Interface to C language function: `void glVertexAttrib3f(GLuint indx, GLfloat x, GLfloat y, GLfloat z);`
`void` | `glVertexAttrib3fv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glVertexAttrib3fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib3fv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glVertexAttrib3fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib3s(int arg0, short arg1, short arg2, short arg3)` Entry point to C language function: `void glVertexAttrib3s(GLuint target, GLshort s, GLshort t, GLshort r);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib3sv(int arg0, short[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib3sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib3sv(int arg0, ShortBuffer arg1)` Entry point to C language function: `void glVertexAttrib3sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4bv(int arg0, byte[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib4bv(GLuint index, const GLbyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4bv(int arg0, ByteBuffer arg1)` Entry point to C language function: `void glVertexAttrib4bv(GLuint index, const GLbyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4d(int arg0, double arg1, double arg2, double arg3, double arg4)` Entry point to C language function: `void glVertexAttrib4d(GLuint target, GLdouble s, GLdouble t, GLdouble r, GLdouble q);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4dv(int arg0, double[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib4dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4dv(int arg0, DoubleBuffer arg1)` Entry point to C language function: `void glVertexAttrib4dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4f(int arg0, float arg1, float arg2, float arg3, float arg4)` Interface to C language function: `void glVertexAttrib4f(GLuint indx, GLfloat x, GLfloat y, GLfloat z, GLfloat w);`
`void` | `glVertexAttrib4fv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glVertexAttrib4fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib4fv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glVertexAttrib4fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib4iv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib4iv(GLuint target, const GLint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4iv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glVertexAttrib4iv(GLuint target, const GLint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nbv(int arg0, byte[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib4Nbv(GLuint index, const GLbyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nbv(int arg0, ByteBuffer arg1)` Entry point to C language function: `void glVertexAttrib4Nbv(GLuint index, const GLbyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Niv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib4Niv(GLuint target, const GLint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Niv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glVertexAttrib4Niv(GLuint target, const GLint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nsv(int arg0, short[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib4Nsv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nsv(int arg0, ShortBuffer arg1)` Entry point to C language function: `void glVertexAttrib4Nsv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nub(int arg0, byte arg1, byte arg2, byte arg3, byte arg4)` Entry point to C language function: `void glVertexAttrib4Nub(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nubv(int arg0, byte[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib4Nubv(GLuint index, const GLubyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nubv(int arg0, ByteBuffer arg1)` Entry point to C language function: `void glVertexAttrib4Nubv(GLuint index, const GLubyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nuiv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib4Nuiv(GLuint index, const GLuint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nuiv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glVertexAttrib4Nuiv(GLuint index, const GLuint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nusv(int arg0, short[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib4Nusv(GLuint index, const GLushort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nusv(int arg0, ShortBuffer arg1)` Entry point to C language function: `void glVertexAttrib4Nusv(GLuint index, const GLushort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4s(int arg0, short arg1, short arg2, short arg3, short arg4)` Entry point to C language function: `void glVertexAttrib4s(GLuint target, GLshort s, GLshort t, GLshort r, GLshort q);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4sv(int arg0, short[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib4sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4sv(int arg0, ShortBuffer arg1)` Entry point to C language function: `void glVertexAttrib4sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4ubv(int arg0, byte[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib4ubv(GLuint index, const GLubyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4ubv(int arg0, ByteBuffer arg1)` Entry point to C language function: `void glVertexAttrib4ubv(GLuint index, const GLubyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4uiv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib4uiv(GLuint index, const GLuint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4uiv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glVertexAttrib4uiv(GLuint index, const GLuint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4usv(int arg0, short[] arg1, int arg2)` Entry point to C language function: `void glVertexAttrib4usv(GLuint index, const GLushort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4usv(int arg0, ShortBuffer arg1)` Entry point to C language function: `void glVertexAttrib4usv(GLuint index, const GLushort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttribIPointer(int arg0, int arg1, int arg2, int arg3, Buffer arg4)` Entry point to C language function: `void glVertexAttribIPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer);` Part of `GL_VERSION_3_0`
`void` | `glVertexAttribPointer(GLArrayData arg0)`
`void` | `glVertexAttribPointer(int arg0, int arg1, int arg2, boolean arg3, int arg4, Buffer arg5)` Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * ptr);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttribPointer(int arg0, int arg1, int arg2, boolean arg3, int arg4, long arg5)` Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * ptr);` Part of `GL_VERSION_2_0`
`void` | `glViewport(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glViewport(GLint x, GLint y, GLsizei width, GLsizei height);`
`void` | `glWaitSync(long arg0, int arg1, long arg2)` Entry point to C language function: `void glWaitSync(GLsync sync, GLbitfield flags, uint64_t timeout);` Part of `GL_ARB_sync`
`boolean` | `hasGLSL()` Indicates whether this GL object supports GLSL.
`boolean` | `isExtensionAvailable(String arg0)` Returns true if the specified OpenGL extension can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.
`boolean` | `isFunctionAvailable(String arg0)` Returns true if the specified OpenGL core- or extension-function can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.
`boolean` | `isGL()` Indicates whether this GL object conforms to any of the common GL profiles.
`boolean` | `isGL2()` Indicates whether this GL object conforms to the GL2 profile.
`boolean` | `isGL2ES1()` Indicates whether this GL object conforms to the GL2ES1 compatible profile.
`boolean` | `isGL2ES2()` Indicates whether this GL object conforms to the GL2ES2 compatible profile.
`boolean` | `isGL2GL3()` Indicates whether this GL object conforms to the GL2GL3 compatible profile.
`boolean` | `isGL3()` Indicates whether this GL object conforms to the GL3 profile.
`boolean` | `isGLES()` Indicates whether this GL object conforms to one of the OpenGL ES compatible profiles.
`boolean` | `isGLES1()` Indicates whether this GL object conforms to the GLES1 profile.
`boolean` | `isGLES2()` Indicates whether this GL object conforms to the GLES2 profile.
`protected void` | `print(String str)`
`protected void` | `printIndent()`
`protected void` | `println(String str)`
`void` | `setSwapInterval(int arg0)` Provides a platform-independent way to specify the minimum swap interval for buffer swaps.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

Constructor Detail

### TraceGL3

    public TraceGL3(GL3 downstreamGL3,
                    PrintStream stream)

Method Detail

### isGL

    public boolean isGL()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to any of the common GL profiles.

  Specified by:
    `isGL` in interface `GLBase`
  Returns:
    whether this GL object conforms to any of the common GL profiles

### isGL3

    public boolean isGL3()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL3 profile. The GL3 profile reflects OpenGL versions greater or equal 3.1

  Specified by:
    `isGL3` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL3 profile

### isGL2

    public boolean isGL2()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL2 profile. The GL2 profile reflects OpenGL versions greater or equal 1.5

  Specified by:
    `isGL2` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL2 profile

### isGLES1

    public boolean isGLES1()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GLES1 profile.

  Specified by:
    `isGLES1` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GLES1 profile

### isGLES2

    public boolean isGLES2()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GLES2 profile.

  Specified by:
    `isGLES2` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GLES2 profile

### isGL2ES1

    public boolean isGL2ES1()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL2ES1 compatible profile.

  Specified by:
    `isGL2ES1` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL2ES1 profile

### isGL2ES2

    public boolean isGL2ES2()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL2ES2 compatible profile.

  Specified by:
    `isGL2ES2` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL2ES2 profile

### isGL2GL3

    public boolean isGL2GL3()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL2GL3 compatible profile.

  Specified by:
    `isGL2GL3` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL2GL3 profile

### isGLES

    public boolean isGLES()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to one of the OpenGL ES compatible profiles.

  Specified by:
    `isGLES` in interface `GLBase`
  Returns:
    whether this GL object conforms to one of the OpenGL ES profiles

### getGL

    public GL getGL()

  Description copied from interface: `GLBase`
  Casts this object to the GL interface.

  Specified by:
    `getGL` in interface `GLBase`
  Returns:
    this object cast to the GL interface

### getGL3

    public GL3 getGL3()

  Description copied from interface: `GLBase`
  Casts this object to the GL3 interface.

  Specified by:
    `getGL3` in interface `GLBase`
  Returns:
    this object cast to the GL3 interface

### getGL2

    public GL2 getGL2()

  Description copied from interface: `GLBase`
  Casts this object to the GL2 interface.

  Specified by:
    `getGL2` in interface `GLBase`
  Returns:
    this object cast to the GL2 interface

### getGLES1

    public GLES1 getGLES1()

  Description copied from interface: `GLBase`
  Casts this object to the GLES1 interface.

  Specified by:
    `getGLES1` in interface `GLBase`
  Returns:
    this object cast to the GLES1 interface

### getGLES2

    public GLES2 getGLES2()

  Description copied from interface: `GLBase`
  Casts this object to the GLES2 interface.

  Specified by:
    `getGLES2` in interface `GLBase`
  Returns:
    this object cast to the GLES2 interface

### getGL2ES1

    public GL2ES1 getGL2ES1()

  Description copied from interface: `GLBase`
  Casts this object to the GL2ES1 interface.

  Specified by:
    `getGL2ES1` in interface `GLBase`
  Returns:
    this object cast to the GL2ES1 interface

### getGL2ES2

    public GL2ES2 getGL2ES2()

  Description copied from interface: `GLBase`
  Casts this object to the GL2ES2 interface.

  Specified by:
    `getGL2ES2` in interface `GLBase`
  Returns:
    this object cast to the GL2ES2 interface

### getGL2GL3

    public GL2GL3 getGL2GL3()

  Description copied from interface: `GLBase`
  Casts this object to the GL2GL3 interface.

  Specified by:
    `getGL2GL3` in interface `GLBase`
  Returns:
    this object cast to the GL2GL3 interface

### getGLProfile

    public GLProfile getGLProfile()

  Description copied from interface: `GLBase`
  Returns the GLProfile with which this GL object is associated.

  Specified by:
    `getGLProfile` in interface `GLBase`
  Returns:
    the GLProfile with which this GL object is associated

### glPrimitiveRestartIndex

    public void glPrimitiveRestartIndex(int arg0)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glPrimitiveRestartIndexNV(GLuint mode);`
  Part of `GL_NV_primitive_restart`

  Specified by:
    `glPrimitiveRestartIndex` in interface `GL2GL3`

### glUniformMatrix3x2fv

    public void glUniformMatrix3x2fv(int arg0,
                                     int arg1,
                                     boolean arg2,
                                     float[] arg3,
                                     int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

  Specified by:
    `glUniformMatrix3x2fv` in interface `GL2GL3`

### glGetVertexAttribIiv

    public void glGetVertexAttribIiv(int arg0,
                                     int arg1,
                                     IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetVertexAttribIiv(GLuint target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetVertexAttribIiv` in interface `GL2GL3`

### glBlendEquationSeparate

    public void glBlendEquationSeparate(int arg0,
                                        int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha);`

  Specified by:
    `glBlendEquationSeparate` in interface `GL`

### glStencilOp

    public void glStencilOp(int arg0,
                            int arg1,
                            int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glStencilOp(GLenum fail, GLenum zfail, GLenum zpass);`

  Specified by:
    `glStencilOp` in interface `GL`

### glVertexAttrib2sv

    public void glVertexAttrib2sv(int arg0,
                                  ShortBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib2sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib2sv` in interface `GL2GL3`

### glBindBuffer

    public void glBindBuffer(int arg0,
                             int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBindBuffer(GLenum target, GLuint buffer);`

  Specified by:
    `glBindBuffer` in interface `GL`

### glGetActiveUniform

    public void glGetActiveUniform(int arg0,
                                   int arg1,
                                   int arg2,
                                   int[] arg3,
                                   int arg4,
                                   int[] arg5,
                                   int arg6,
                                   int[] arg7,
                                   int arg8,
                                   byte[] arg9,
                                   int arg10)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`

  Specified by:
    `glGetActiveUniform` in interface `GL2ES2`

### glVertexAttrib2fv

    public void glVertexAttrib2fv(int arg0,
                                  float[] arg1,
                                  int arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib2fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib2fv` in interface `GL2ES2`

### glBlendFuncSeparate

    public void glBlendFuncSeparate(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBlendFuncSeparate(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha);`

  Specified by:
    `glBlendFuncSeparate` in interface `GL`

### glTexSubImage3D

    public void glTexSubImage3D(int arg0,
                                int arg1,
                                int arg2,
                                int arg3,
                                int arg4,
                                int arg5,
                                int arg6,
                                int arg7,
                                int arg8,
                                int arg9,
                                Buffer arg10)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_2`

  Specified by:
    `glTexSubImage3D` in interface `GL2GL3`

### glIsProgram

    public boolean glIsProgram(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `GLboolean glIsProgram(GLuint program);`

  Specified by:
    `glIsProgram` in interface `GL2ES2`

### glGetSynciv

    public void glGetSynciv(long arg0,
                            int arg1,
                            int arg2,
                            IntBuffer arg3,
                            IntBuffer arg4)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values);`
  Part of `GL_ARB_sync`

  Specified by:
    `glGetSynciv` in interface `GL3`

### glGetSynciv

    public void glGetSynciv(long arg0,
                            int arg1,
                            int arg2,
                            int[] arg3,
                            int arg4,
                            int[] arg5,
                            int arg6)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei * length, GLint * values);`
  Part of `GL_ARB_sync`

  Specified by:
    `glGetSynciv` in interface `GL3`

### glGetActiveAttrib

    public void glGetActiveAttrib(int arg0,
                                  int arg1,
                                  int arg2,
                                  IntBuffer arg3,
                                  IntBuffer arg4,
                                  IntBuffer arg5,
                                  ByteBuffer arg6)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`

  Specified by:
    `glGetActiveAttrib` in interface `GL2ES2`

### glUniform2fv

    public void glUniform2fv(int arg0,
                             int arg1,
                             FloatBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform2fv` in interface `GL2ES2`

### glGetActiveUniformBlockName

    public void glGetActiveUniformBlockName(int arg0,
                                            int arg1,
                                            int arg2,
                                            int[] arg3,
                                            int arg4,
                                            byte[] arg5,
                                            int arg6)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetActiveUniformBlockName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);`
  Part of `GL_ARB_uniform_buffer_object`

  Specified by:
    `glGetActiveUniformBlockName` in interface `GL3`

### glDisablei

    public void glDisablei(int arg0,
                           int arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glDisablei(GLenum target, GLuint id);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glDisablei` in interface `GL2GL3`

### glVertexAttrib4Nubv

    public void glVertexAttrib4Nubv(int arg0,
                                    byte[] arg1,
                                    int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4Nubv(GLuint index, const GLubyte * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4Nubv` in interface `GL2GL3`

### glGenVertexArrays

    public void glGenVertexArrays(int arg0,
                                  int[] arg1,
                                  int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGenVertexArrays(GLsizei n, GLuint * ids);`
  Part of `GL_ARB_vertex_array_object`

  Specified by:
    `glGenVertexArrays` in interface `GL2GL3`

### glGetProgramiv

    public void glGetProgramiv(int arg0,
                               int arg1,
                               IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetProgramiv(GLuint program, GLenum pname, GLint * params);`

  Specified by:
    `glGetProgramiv` in interface `GL2ES2`

### glGetUniformIndices

    public void glGetUniformIndices(int arg0,
                                    int arg1,
                                    String[] arg2,
                                    IntBuffer arg3)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * * uniformNames, GLuint * uniformIndices);`
  Part of `GL_ARB_uniform_buffer_object`

  Specified by:
    `glGetUniformIndices` in interface `GL3`

### glVertexAttrib4iv

    public void glVertexAttrib4iv(int arg0,
                                  IntBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4iv(GLuint target, const GLint * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4iv` in interface `GL2GL3`

### glBlendColor

    public void glBlendColor(float arg0,
                             float arg1,
                             float arg2,
                             float arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`

  Specified by:
    `glBlendColor` in interface `GL2ES2`

### glUniformMatrix4fv

    public void glUniformMatrix4fv(int arg0,
                                   int arg1,
                                   boolean arg2,
                                   float[] arg3,
                                   int arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

  Specified by:
    `glUniformMatrix4fv` in interface `GL2ES2`

### glTexSubImage1D

    public void glTexSubImage1D(int arg0,
                                int arg1,
                                int arg2,
                                int arg3,
                                int arg4,
                                int arg5,
                                Buffer arg6)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glTexSubImage1D` in interface `GL2GL3`

### glFramebufferTextureFace

    public void glFramebufferTextureFace(int arg0,
                                         int arg1,
                                         int arg2,
                                         int arg3,
                                         int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glFramebufferTextureFaceARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face);`
  Part of `GL_ARB_geometry_shader4`

  Specified by:
    `glFramebufferTextureFace` in interface `GL2GL3`

### glIsVBOArrayEnabled

    public boolean glIsVBOArrayEnabled()

  Specified by:
    `glIsVBOArrayEnabled` in interface `GL`

### glGetBufferSubData

    public void glGetBufferSubData(int arg0,
                                   int arg1,
                                   int arg2,
                                   Buffer arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetBufferSubData(GLenum target, ptrdiff_t offset, ptrdiff_t size, GLvoid * data);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glGetBufferSubData` in interface `GL2GL3`

### glDeleteSync

    public void glDeleteSync(long arg0)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glDeleteSync(GLsync sync);`
  Part of `GL_ARB_sync`

  Specified by:
    `glDeleteSync` in interface `GL3`

### glUniform1fv

    public void glUniform1fv(int arg0,
                             int arg1,
                             float[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform1fv` in interface `GL2ES2`

### glSampleMaski

    public void glSampleMaski(int arg0,
                              int arg1)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glSampleMaski(GLuint index, GLbitfield mask);`
  Part of `GL_ARB_texture_multisample`

  Specified by:
    `glSampleMaski` in interface `GL3`

### glUniform4iv

    public void glUniform4iv(int arg0,
                             int arg1,
                             int[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform4iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform4iv` in interface `GL2ES2`

### glGetQueryObjectuiv

    public void glGetQueryObjectuiv(int arg0,
                                    int arg1,
                                    int[] arg2,
                                    int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint * params);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glGetQueryObjectuiv` in interface `GL2GL3`

### glMapBufferRange

    public ByteBuffer glMapBufferRange(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `GLvoid * glMapBufferRange(GLenum target, ptrdiff_t offset, ptrdiff_t length, GLbitfield access);`
  Part of `GL_ARB_map_buffer_range`

  Specified by:
    `glMapBufferRange` in interface `GL2GL3`

### glTexParameteriv

    public void glTexParameteriv(int arg0,
                                 int arg1,
                                 int[] arg2,
                                 int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`

  Specified by:
    `glTexParameteriv` in interface `GL`

### glVertexAttrib4sv

    public void glVertexAttrib4sv(int arg0,
                                  ShortBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4sv` in interface `GL2GL3`

### glUniformMatrix2fv

    public void glUniformMatrix2fv(int arg0,
                                   int arg1,
                                   boolean arg2,
                                   float[] arg3,
                                   int arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

  Specified by:
    `glUniformMatrix2fv` in interface `GL2ES2`

### glVertexAttrib4uiv

    public void glVertexAttrib4uiv(int arg0,
                                   int[] arg1,
                                   int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4uiv(GLuint index, const GLuint * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4uiv` in interface `GL2GL3`

### glShaderBinary

    public void glShaderBinary(int arg0,
                               int[] arg1,
                               int arg2,
                               int arg3,
                               Buffer arg4,
                               int arg5)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`

  Specified by:
    `glShaderBinary` in interface `GL2ES2`

### glUniformMatrix4x2fv

    public void glUniformMatrix4x2fv(int arg0,
                                     int arg1,
                                     boolean arg2,
                                     FloatBuffer arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

  Specified by:
    `glUniformMatrix4x2fv` in interface `GL2GL3`

### glClearBufferiv

    public void glClearBufferiv(int arg0,
                                int arg1,
                                int[] arg2,
                                int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glClearBufferiv` in interface `GL2GL3`

### glTexParameteri

    public void glTexParameteri(int arg0,
                                int arg1,
                                int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameteri(GLenum target, GLenum pname, GLint param);`

  Specified by:
    `glTexParameteri` in interface `GL`

### glDeleteTextures

    public void glDeleteTextures(int arg0,
                                 int[] arg1,
                                 int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteTextures(GLsizei n, const GLuint * textures);`

  Specified by:
    `glDeleteTextures` in interface `GL`

### glGenFramebuffers

    public void glGenFramebuffers(int arg0,
                                  int[] arg1,
                                  int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`

  Specified by:
    `glGenFramebuffers` in interface `GL`

### isFunctionAvailable

    public boolean isFunctionAvailable(String arg0)

  Description copied from interface: `GLBase`
  Returns true if the specified OpenGL core- or extension-function can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.

  By "successfully" we mean that the function is both callable on the machine running the program and available on the current display.

  In order to call a function successfully, the function must be both callable on the machine running the program and available on the display device that is rendering the output (note: on non-networked, single-display machines these two conditions are identical; on networked and/or multi-display machines this becomes more complicated). These conditions are met if the function is either part of the core OpenGL version supported by both the host and display, or it is an OpenGL extension function that both the host and display support.

  A GL function is callable if it is successfully linked at runtime, hence the GLContext must be made current at least once.

  Specified by:
    `isFunctionAvailable` in interface `GLBase`
  Parameters:
    `arg0` - the name of the OpenGL function (e.g., use "glBindRenderbufferEXT" or "glBindRenderbuffer" to check if `#glBindRenderbuffer(int,int)` is available).

### glFramebufferRenderbuffer

    public void glFramebufferRenderbuffer(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer);`

  Specified by:
    `glFramebufferRenderbuffer` in interface `GL`

### glPointParameteriv

    public void glPointParameteriv(int arg0,
                                   int[] arg1,
                                   int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glPointParameteriv(GLenum target, const GLint * v);`
  Part of `GL_VERSION_1_4`

  Specified by:
    `glPointParameteriv` in interface `GL2GL3`

### glGetUniformuiv

    public void glGetUniformuiv(int arg0,
                                int arg1,
                                int[] arg2,
                                int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetUniformuiv(GLuint program, GLint location, GLuint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetUniformuiv` in interface `GL2GL3`

### glGetVertexAttribfv

    public void glGetVertexAttribfv(int arg0,
                                    int arg1,
                                    FloatBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetVertexAttribfv` in interface `GL2ES2`

### glGetBooleani_v

    public void glGetBooleani_v(int arg0,
                                int arg1,
                                ByteBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetBooleani_v(GLenum target, GLuint index, GLboolean * data);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetBooleani_v` in interface `GL2GL3`

### glUniform1iv

    public void glUniform1iv(int arg0,
                             int arg1,
                             int[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform1iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform1iv` in interface `GL2ES2`

### glTexSubImage2D

    public void glTexSubImage2D(int arg0,
                                int arg1,
                                int arg2,
                                int arg3,
                                int arg4,
                                int arg5,
                                int arg6,
                                int arg7,
                                Buffer arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glTexSubImage2D` in interface `GL`

### glGetIntegerv

    public void glGetIntegerv(int arg0,
                              int[] arg1,
                              int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetIntegerv(GLenum pname, GLint * params);`

  Specified by:
    `glGetIntegerv` in interface `GL`

### glCompressedTexImage2D

    public void glCompressedTexImage2D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4,
                                       int arg5,
                                       int arg6,
                                       Buffer arg7)

  Description copied from interface: `GL`
  Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexImage2D` in interface `GL`

### glIsTexture

    public boolean glIsTexture(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsTexture(GLuint texture);`

  Specified by:
    `glIsTexture` in interface `GL`

### glTexParameterIiv

    public void glTexParameterIiv(int arg0,
                                  int arg1,
                                  int[] arg2,
                                  int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTexParameterIiv(GLenum target, GLenum pname, const GLint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glTexParameterIiv` in interface `GL2GL3`

### glUniform3fv

    public void glUniform3fv(int arg0,
                             int arg1,
                             float[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform3fv` in interface `GL2ES2`

### glGetTexParameteriv

    public void glGetTexParameteriv(int arg0,
                                    int arg1,
                                    IntBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetTexParameteriv` in interface `GL`

### glVertexAttrib1fv

    public void glVertexAttrib1fv(int arg0,
                                  float[] arg1,
                                  int arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib1fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib1fv` in interface `GL2ES2`

### glBindAttribLocation

    public void glBindAttribLocation(int arg0,
                                     int arg1,
                                     String arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glBindAttribLocation(GLuint program, GLuint index, const char * name);`

  Specified by:
    `glBindAttribLocation` in interface `GL2ES2`

### hasGLSL

    public boolean hasGLSL()

  Description copied from interface: `GLBase`
  Indicates whether this GL object supports GLSL.

  Specified by:
    `hasGLSL` in interface `GLBase`

### glCopyBufferSubData

    public void glCopyBufferSubData(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3,
                                    int arg4)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glCopyBufferSubData(GLenum readTarget, GLenum writeTarget, ptrdiff_t readOffset, ptrdiff_t writeOffset, ptrdiff_t size);`
  Part of `GL_ARB_copy_buffer`

  Specified by:
    `glCopyBufferSubData` in interface `GL3`

### glGetTexParameterIuiv

    public void glGetTexParameterIuiv(int arg0,
                                      int arg1,
                                      IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetTexParameterIuiv(GLenum id, GLenum pname, GLuint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetTexParameterIuiv` in interface `GL2GL3`

### glDrawRangeElements

    public void glDrawRangeElements(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3,
                                    int arg4,
                                    Buffer arg5)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices);`
  Part of `GL_VERSION_1_2`

  Specified by:
    `glDrawRangeElements` in interface `GL2GL3`

### glGetTransformFeedbackVarying

    public void glGetTransformFeedbackVarying(int arg0,
                                              int arg1,
                                              int arg2,
                                              int[] arg3,
                                              int arg4,
                                              int[] arg5,
                                              int arg6,
                                              int[] arg7,
                                              int arg8,
                                              byte[] arg9,
                                              int arg10)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetTransformFeedbackVarying` in interface `GL2GL3`

### glTexBuffer

    public void glTexBuffer(int arg0,
                            int arg1,
                            int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTexBufferARB(GLenum red, GLenum green, GLuint blue);`
  Part of `GL_ARB_texture_buffer_object`

  Specified by:
    `glTexBuffer` in interface `GL2GL3`

### glVertexAttrib3fv

    public void glVertexAttrib3fv(int arg0,
                                  float[] arg1,
                                  int arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib3fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib3fv` in interface `GL2ES2`

### glTexImage2D

    public void glTexImage2D(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             int arg6,
                             int arg7,
                             long arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glTexImage2D` in interface `GL`

### glVertexAttrib1sv

    public void glVertexAttrib1sv(int arg0,
                                  ShortBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib1sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib1sv` in interface `GL2GL3`

### glUniform3ui

    public void glUniform3ui(int arg0,
                             int arg1,
                             int arg2,
                             int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniform3ui(GLint location, GLuint v0, GLuint v1, GLuint v2);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glUniform3ui` in interface `GL2GL3`

### glColorMask

    public void glColorMask(boolean arg0,
                            boolean arg1,
                            boolean arg2,
                            boolean arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha);`

  Specified by:
    `glColorMask` in interface `GL`

### glTessellationFactorAMD

    public void glTessellationFactorAMD(float arg0)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTessellationFactorAMD(GLfloat factor);`
  Part of `GL_AMD_vertex_shader_tessellator`

  Specified by:
    `glTessellationFactorAMD` in interface `GL2GL3`

### glVertexAttrib4Nubv

    public void glVertexAttrib4Nubv(int arg0,
                                    ByteBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4Nubv(GLuint index, const GLubyte * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4Nubv` in interface `GL2GL3`

### glRenderbufferStorageMultisample

    public void glRenderbufferStorageMultisample(int arg0,
                                                 int arg1,
                                                 int arg2,
                                                 int arg3,
                                                 int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glRenderbufferStorageMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height);`
  Part of `GL_ARB_framebuffer_object`

  Specified by:
    `glRenderbufferStorageMultisample` in interface `GL2GL3`

### glGetFloatv

    public void glGetFloatv(int arg0,
                            float[] arg1,
                            int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetFloatv(GLenum pname, GLfloat * params);`

  Specified by:
    `glGetFloatv` in interface `GL`

### glGetShaderiv

    public void glGetShaderiv(int arg0,
                              int arg1,
                              int[] arg2,
                              int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params);`

  Specified by:
    `glGetShaderiv` in interface `GL2ES2`

### glGetTexImage

    public void glGetTexImage(int arg0,
                              int arg1,
                              int arg2,
                              int arg3,
                              Buffer arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glGetTexImage` in interface `GL2GL3`

### glVertexAttrib1s

    public void glVertexAttrib1s(int arg0,
                                 short arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib1s(GLuint target, GLshort s);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib1s` in interface `GL2GL3`

### glUniform1ui

    public void glUniform1ui(int arg0,
                             int arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniform1ui(GLint location, GLuint v0);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glUniform1ui` in interface `GL2GL3`

### glUniform1uiv

    public void glUniform1uiv(int arg0,
                              int arg1,
                              IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniform1uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glUniform1uiv` in interface `GL2GL3`

### glSampleCoverage

    public void glSampleCoverage(float arg0,
                                 boolean arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glSampleCoverage(GLclampf value, GLboolean invert);`

  Specified by:
    `glSampleCoverage` in interface `GL`

### glGetIntegeri_v

    public void glGetIntegeri_v(int arg0,
                                int arg1,
                                IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetIntegeri_v(GLenum target, GLuint pname, GLint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetIntegeri_v` in interface `GL2GL3`

### glClearDepthf

    public void glClearDepthf(float arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glClearDepthf(GLclampf depth);`

  Specified by:
    `glClearDepthf` in interface `GL`

### glPointParameterfv

    public void glPointParameterfv(int arg0,
                                   float[] arg1,
                                   int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glPointParameterfv(GLenum target, const GLfloat * v);`
  Part of `GL_VERSION_1_4`

  Specified by:
    `glPointParameterfv` in interface `GL2GL3`

### glUniformMatrix3fv

    public void glUniformMatrix3fv(int arg0,
                                   int arg1,
                                   boolean arg2,
                                   float[] arg3,
                                   int arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

  Specified by:
    `glUniformMatrix3fv` in interface `GL2ES2`

### glDeleteRenderbuffers

    public void glDeleteRenderbuffers(int arg0,
                                      IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`

  Specified by:
    `glDeleteRenderbuffers` in interface `GL`

### glReadPixels

    public void glReadPixels(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             long arg6)

  Description copied from interface: `GL`
  Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glReadPixels` in interface `GL`

### glVertexAttrib4dv

    public void glVertexAttrib4dv(int arg0,
                                  DoubleBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4dv` in interface `GL2GL3`

### glColorMaski

    public void glColorMaski(int arg0,
                             boolean arg1,
                             boolean arg2,
                             boolean arg3,
                             boolean arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glColorMaski(GLuint index, GLboolean x, GLboolean y, GLboolean z, GLboolean w);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glColorMaski` in interface `GL2GL3`

### glGetUniformfv

    public void glGetUniformfv(int arg0,
                               int arg1,
                               FloatBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetUniformfv(GLuint program, GLint location, GLfloat * params);`

  Specified by:
    `glGetUniformfv` in interface `GL2ES2`

### glCopyTexImage2D

    public void glCopyTexImage2D(int arg0,
                                 int arg1,
                                 int arg2,
                                 int arg3,
                                 int arg4,
                                 int arg5,
                                 int arg6,
                                 int arg7)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);`

  Specified by:
    `glCopyTexImage2D` in interface `GL`

### glUniform2i

    public void glUniform2i(int arg0,
                            int arg1,
                            int arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform2i(GLint location, GLint x, GLint y);`

  Specified by:
    `glUniform2i` in interface `GL2ES2`

### glUniform2f

    public void glUniform2f(int arg0,
                            float arg1,
                            float arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform2f(GLint location, GLfloat x, GLfloat y);`

  Specified by:
    `glUniform2f` in interface `GL2ES2`

### glClearBufferfv

    public void glClearBufferfv(int arg0,
                                int arg1,
                                float[] arg2,
                                int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glClearBufferfv` in interface `GL2GL3`

### glGetInteger64v

    public void glGetInteger64v(int arg0,
                                long[] arg1,
                                int arg2)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetInteger64v(GLenum pname, int64_t * params);`
  Part of `GL_ARB_sync`

  Specified by:
    `glGetInteger64v` in interface `GL3`

### glVertexAttrib4Niv

    public void glVertexAttrib4Niv(int arg0,
                                   IntBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4Niv(GLuint target, const GLint * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4Niv` in interface `GL2GL3`

### glCopyTexSubImage3D

    public void glCopyTexSubImage3D(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3,
                                    int arg4,
                                    int arg5,
                                    int arg6,
                                    int arg7,
                                    int arg8)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glCopyTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height);`
  Part of `GL_VERSION_1_2`

  Specified by:
    `glCopyTexSubImage3D` in interface `GL2GL3`

### glUniform4fv

    public void glUniform4fv(int arg0,
                             int arg1,
                             float[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform4fv` in interface `GL2ES2`

### glUniformMatrix4x3fv

    public void glUniformMatrix4x3fv(int arg0,
                                     int arg1,
                                     boolean arg2,
                                     FloatBuffer arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

  Specified by:
    `glUniformMatrix4x3fv` in interface `GL2GL3`

### glGetBooleani_v

    public void glGetBooleani_v(int arg0,
                                int arg1,
                                byte[] arg2,
                                int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetBooleani_v(GLenum target, GLuint index, GLboolean * data);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetBooleani_v` in interface `GL2GL3`

### glBlendFunc

    public void glBlendFunc(int arg0,
                            int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBlendFunc(GLenum sfactor, GLenum dfactor);`

  Specified by:
    `glBlendFunc` in interface `GL`

### glVertexAttrib4dv

    public void glVertexAttrib4dv(int arg0,
                                  double[] arg1,
                                  int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4dv` in interface `GL2GL3`

### glUniform3uiv

    public void glUniform3uiv(int arg0,
                              int arg1,
                              IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniform3uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glUniform3uiv` in interface `GL2GL3`

### glVertexAttrib3s

    public void glVertexAttrib3s(int arg0,
                                 short arg1,
                                 short arg2,
                                 short arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib3s(GLuint target, GLshort s, GLshort t, GLshort r);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib3s` in interface `GL2GL3`

### glDeleteProgram

    public void glDeleteProgram(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glDeleteProgram(GLuint program);`

  Specified by:
    `glDeleteProgram` in interface `GL2ES2`

### glVertexAttribIPointer

    public void glVertexAttribIPointer(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       Buffer arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttribIPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glVertexAttribIPointer` in interface `GL2GL3`

### glGetMultisamplefv

    public void glGetMultisamplefv(int arg0,
                                   int arg1,
                                   float[] arg2,
                                   int arg3)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetMultisamplefv(GLenum pname, GLuint index, GLfloat * val);`
  Part of `GL_ARB_texture_multisample`

  Specified by:
    `glGetMultisamplefv` in interface `GL3`

### glGetString

    public String glGetString(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `const GLubyte * glGetString(GLenum name);`

  Specified by:
    `glGetString` in interface `GL`

### glDeleteVertexArrays

    public void glDeleteVertexArrays(int arg0,
                                     int[] arg1,
                                     int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glDeleteVertexArrays(GLsizei n, const GLuint * ids);`
  Part of `GL_ARB_vertex_array_object`

  Specified by:
    `glDeleteVertexArrays` in interface `GL2GL3`

### glReleaseShaderCompiler

    public void glReleaseShaderCompiler()

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glReleaseShaderCompiler(void);`

  Specified by:
    `glReleaseShaderCompiler` in interface `GL2ES2`

### glClearBufferfv

    public void glClearBufferfv(int arg0,
                                int arg1,
                                FloatBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glClearBufferfv` in interface `GL2GL3`

### glUniform1i

    public void glUniform1i(int arg0,
                            int arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform1i(GLint location, GLint x);`

  Specified by:
    `glUniform1i` in interface `GL2ES2`

### glUniform4uiv

    public void glUniform4uiv(int arg0,
                              int arg1,
                              int[] arg2,
                              int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniform4uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glUniform4uiv` in interface `GL2GL3`

### glVertexAttrib4usv

    public void glVertexAttrib4usv(int arg0,
                                   ShortBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4usv(GLuint index, const GLushort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4usv` in interface `GL2GL3`

### glGetUniformfv

    public void glGetUniformfv(int arg0,
                               int arg1,
                               float[] arg2,
                               int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetUniformfv(GLuint program, GLint location, GLfloat * params);`

  Specified by:
    `glGetUniformfv` in interface `GL2ES2`

### glVertexAttribPointer

    public void glVertexAttribPointer(int arg0,
                                      int arg1,
                                      int arg2,
                                      boolean arg3,
                                      int arg4,
                                      long arg5)

  Description copied from interface: `GL2ES2`
  Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * ptr);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttribPointer` in interface `GL2ES2`

### glDrawArrays

    public void glDrawArrays(int arg0,
                             int arg1,
                             int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDrawArrays(GLenum mode, GLint first, GLsizei count);`

  Specified by:
    `glDrawArrays` in interface `GL`

### glPointParameterf

    public void glPointParameterf(int arg0,
                                  float arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glPointParameterf(GLenum target, GLfloat s);`
  Part of `GL_VERSION_1_4`

  Specified by:
    `glPointParameterf` in interface `GL2GL3`

### getExtension

    public Object getExtension(String arg0)

  Description copied from interface: `GLBase`
  Returns an object providing access to the specified OpenGL extension. This is intended to provide a mechanism for vendors who wish to provide access to new OpenGL extensions without changing the public API of the core package. For example, a user may request access to extension "GL_VENDOR_foo" and receive back an object which implements a vendor-specified interface which can call the OpenGL extension functions corresponding to that extension. It is up to the vendor to specify both the extension name and Java API for accessing it, including which class or interface contains the functions.

  Note: it is the intent to add new extensions as quickly as possible to the core GL API. Therefore it is unlikely that most vendors will use this extension mechanism, but it is being provided for completeness.

  Specified by:
    `getExtension` in interface `GLBase`

### glTexImage3D

    public void glTexImage3D(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             int arg6,
                             int arg7,
                             int arg8,
                             long arg9)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_2`

  Specified by:
    `glTexImage3D` in interface `GL2GL3`

### glGetStringi

    public String glGetStringi(int arg0,
                               int arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `const GLubyte * glGetStringi(GLenum name, GLuint index);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetStringi` in interface `GL2GL3`

### glMultiDrawElements

    public void glMultiDrawElements(int arg0,
                                    int[] arg1,
                                    int arg2,
                                    int arg3,
                                    Buffer[] arg4,
                                    int arg5)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glMultiDrawElements(GLenum mode, const GLsizei * count, GLenum type, const GLvoid * * indices, GLsizei primcount);`
  Part of `GL_VERSION_1_4`

  Specified by:
    `glMultiDrawElements` in interface `GL2GL3`

### glPointParameterfv

    public void glPointParameterfv(int arg0,
                                   FloatBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glPointParameterfv(GLenum target, const GLfloat * v);`
  Part of `GL_VERSION_1_4`

  Specified by:
    `glPointParameterfv` in interface `GL2GL3`

### glVertexAttrib4Nsv

    public void glVertexAttrib4Nsv(int arg0,
                                   short[] arg1,
                                   int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4Nsv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4Nsv` in interface `GL2GL3`

### glVertexAttrib4Nbv

    public void glVertexAttrib4Nbv(int arg0,
                                   ByteBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4Nbv(GLuint index, const GLbyte * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4Nbv` in interface `GL2GL3`

### glUniformMatrix3fv

    public void glUniformMatrix3fv(int arg0,
                                   int arg1,
                                   boolean arg2,
                                   FloatBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

  Specified by:
    `glUniformMatrix3fv` in interface `GL2ES2`

### glCopyTexSubImage1D

    public void glCopyTexSubImage1D(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3,
                                    int arg4,
                                    int arg5)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glCopyTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glCopyTexSubImage1D` in interface `GL2GL3`

### glStencilMask

    public void glStencilMask(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glStencilMask(GLuint mask);`

  Specified by:
    `glStencilMask` in interface `GL`

### glStencilOpSeparate

    public void glStencilOpSeparate(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glStencilOpSeparate(GLenum face, GLenum fail, GLenum zfail, GLenum zpass);`

  Specified by:
    `glStencilOpSeparate` in interface `GL2ES2`

### glDrawBuffers

    public void glDrawBuffers(int arg0,
                              IntBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * ids);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glDrawBuffers` in interface `GL2GL3`

### glIsRenderbuffer

    public boolean glIsRenderbuffer(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsRenderbuffer(GLuint renderbuffer);`

  Specified by:
    `glIsRenderbuffer` in interface `GL`

### glBufferSubData

    public void glBufferSubData(int arg0,
                                int arg1,
                                int arg2,
                                Buffer arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const void * data);`

  Specified by:
    `glBufferSubData` in interface `GL`

### glGetMultisamplefv

    public void glGetMultisamplefv(int arg0,
                                   int arg1,
                                   FloatBuffer arg2)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetMultisamplefv(GLenum pname, GLuint index, GLfloat * val);`
  Part of `GL_ARB_texture_multisample`

  Specified by:
    `glGetMultisamplefv` in interface `GL3`

### glUniform2ui

    public void glUniform2ui(int arg0,
                             int arg1,
                             int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniform2ui(GLint location, GLuint v0, GLuint v1);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glUniform2ui` in interface `GL2GL3`

### glClear

    public void glClear(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glClear(GLbitfield mask);`

  Specified by:
    `glClear` in interface `GL`

### glDeleteQueries

    public void glDeleteQueries(int arg0,
                                int[] arg1,
                                int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glDeleteQueries(GLsizei n, const GLuint * ids);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glDeleteQueries` in interface `GL2GL3`

### glGetActiveUniformName

    public void glGetActiveUniformName(int arg0,
                                       int arg1,
                                       int arg2,
                                       int[] arg3,
                                       int arg4,
                                       byte[] arg5,
                                       int arg6)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);`
  Part of `GL_ARB_uniform_buffer_object`

  Specified by:
    `glGetActiveUniformName` in interface `GL3`

### glGetUniformiv

    public void glGetUniformiv(int arg0,
                               int arg1,
                               int[] arg2,
                               int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetUniformiv(GLuint program, GLint location, GLint * params);`

  Specified by:
    `glGetUniformiv` in interface `GL2ES2`

### glIsBuffer

    public boolean glIsBuffer(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsBuffer(GLuint buffer);`

  Specified by:
    `glIsBuffer` in interface `GL`

### glGetVertexAttribIuiv

    public void glGetVertexAttribIuiv(int arg0,
                                      int arg1,
                                      int[] arg2,
                                      int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetVertexAttribIuiv(GLuint id, GLenum pname, GLuint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetVertexAttribIuiv` in interface `GL2GL3`

### glUniformMatrix4x3fv

    public void glUniformMatrix4x3fv(int arg0,
                                     int arg1,
                                     boolean arg2,
                                     float[] arg3,
                                     int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

  Specified by:
    `glUniformMatrix4x3fv` in interface `GL2GL3`

### glGenQueries

    public void glGenQueries(int arg0,
                             int[] arg1,
                             int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGenQueries(GLsizei n, GLuint * ids);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glGenQueries` in interface `GL2GL3`

### glUniform4fv

    public void glUniform4fv(int arg0,
                             int arg1,
                             FloatBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform4fv` in interface `GL2ES2`

### glGetTexParameterIiv

    public void glGetTexParameterIiv(int arg0,
                                     int arg1,
                                     int[] arg2,
                                     int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetTexParameterIiv(GLenum target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetTexParameterIiv` in interface `GL2GL3`

### glCopyTexSubImage2D

    public void glCopyTexSubImage2D(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3,
                                    int arg4,
                                    int arg5,
                                    int arg6,
                                    int arg7)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);`

  Specified by:
    `glCopyTexSubImage2D` in interface `GL`

### glUniform4ui

    public void glUniform4ui(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniform4ui(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glUniform4ui` in interface `GL2GL3`

### glGetProgramInfoLog

    public void glGetProgramInfoLog(int arg0,
                                    int arg1,
                                    IntBuffer arg2,
                                    ByteBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, char * infolog);`

  Specified by:
    `glGetProgramInfoLog` in interface `GL2ES2`

### glIsSync

    public boolean glIsSync(long arg0)

  Description copied from interface: `GL3`
  Entry point to C language function: `GLboolean glIsSync(GLsync sync);`
  Part of `GL_ARB_sync`

  Specified by:
    `glIsSync` in interface `GL3`

### glDrawElements

    public void glDrawElements(int arg0,
                               int arg1,
                               int arg2,
                               Buffer arg3)

  Description copied from interface: `GL`
  Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glDrawElements` in interface `GL`

### glTexParameterIuiv

    public void glTexParameterIuiv(int arg0,
                                   int arg1,
                                   int[] arg2,
                                   int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTexParameterIuiv(GLenum target, GLenum pname, const GLuint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glTexParameterIuiv` in interface `GL2GL3`

### glUniform3i

    public void glUniform3i(int arg0,
                            int arg1,
                            int arg2,
                            int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform3i(GLint location, GLint x, GLint y, GLint z);`

  Specified by:
    `glUniform3i` in interface `GL2ES2`

### glGetBufferParameteriv

    public void glGetBufferParameteriv(int arg0,
                                       int arg1,
                                       IntBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetBufferParameteriv` in interface `GL`

### glGetShaderInfoLog

    public void glGetShaderInfoLog(int arg0,
                                   int arg1,
                                   int[] arg2,
                                   int arg3,
                                   byte[] arg4,
                                   int arg5)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, char * infolog);`

  Specified by:
    `glGetShaderInfoLog` in interface `GL2ES2`

### glCopyTexImage1D

    public void glCopyTexImage1D(int arg0,
                                 int arg1,
                                 int arg2,
                                 int arg3,
                                 int arg4,
                                 int arg5,
                                 int arg6)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glCopyTexImage1D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glCopyTexImage1D` in interface `GL2GL3`

### glUniform3iv

    public void glUniform3iv(int arg0,
                             int arg1,
                             int[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform3iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform3iv` in interface `GL2ES2`

### glGetQueryObjectiv

    public void glGetQueryObjectiv(int arg0,
                                   int arg1,
                                   int[] arg2,
                                   int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetQueryObjectiv(GLuint target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glGetQueryObjectiv` in interface `GL2GL3`

### glCompressedTexSubImage3D

    public void glCompressedTexSubImage3D(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3,
                                          int arg4,
                                          int arg5,
                                          int arg6,
                                          int arg7,
                                          int arg8,
                                          int arg9,
                                          Buffer arg10)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexSubImage3D` in interface `GL2GL3`

### glVertexAttrib3fv

    public void glVertexAttrib3fv(int arg0,
                                  FloatBuffer arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib3fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib3fv` in interface `GL2ES2`

### glVertexAttrib1fv

    public void glVertexAttrib1fv(int arg0,
                                  FloatBuffer arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib1fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib1fv` in interface `GL2ES2`

### glUniform2iv

    public void glUniform2iv(int arg0,
                             int arg1,
                             int[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform2iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform2iv` in interface `GL2ES2`

### glGetShaderSource

    public void glGetShaderSource(int arg0,
                                  int arg1,
                                  IntBuffer arg2,
                                  ByteBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, char * source);`

  Specified by:
    `glGetShaderSource` in interface `GL2ES2`

### glDrawRangeElementsBaseVertex

    public void glDrawRangeElementsBaseVertex(int arg0,
                                              int arg1,
                                              int arg2,
                                              int arg3,
                                              int arg4,
                                              Buffer arg5,
                                              int arg6)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glDrawRangeElementsBaseVertex(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, GLvoid * indices, GLint basevertex);`
  Part of `GL_ARB_draw_elements_base_vertex`

  Specified by:
    `glDrawRangeElementsBaseVertex` in interface `GL3`

### glVertexAttrib4bv

    public void glVertexAttrib4bv(int arg0,
                                  ByteBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4bv(GLuint index, const GLbyte * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4bv` in interface `GL2GL3`

### glPolygonOffset

    public void glPolygonOffset(float arg0,
                                float arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glPolygonOffset(GLfloat factor, GLfloat units);`

  Specified by:
    `glPolygonOffset` in interface `GL`

### glGetFramebufferAttachmentParameteriv

    public void glGetFramebufferAttachmentParameteriv(int arg0,
                                                      int arg1,
                                                      int arg2,
                                                      int[] arg3,
                                                      int arg4)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`

  Specified by:
    `glGetFramebufferAttachmentParameteriv` in interface `GL`

### glGetTexLevelParameteriv

    public void glGetTexLevelParameteriv(int arg0,
                                         int arg1,
                                         int arg2,
                                         IntBuffer arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glGetTexLevelParameteriv` in interface `GL2GL3`

### glEndConditionalRender

    public void glEndConditionalRender()

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glEndConditionalRender(void);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glEndConditionalRender` in interface `GL2GL3`

### glClearBufferuiv

    public void glClearBufferuiv(int arg0,
                                 int arg1,
                                 int[] arg2,
                                 int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glClearBufferuiv` in interface `GL2GL3`

### glGetFloatv

    public void glGetFloatv(int arg0,
                            FloatBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetFloatv(GLenum pname, GLfloat * params);`

  Specified by:
    `glGetFloatv` in interface `GL`

### glBindRenderbuffer

    public void glBindRenderbuffer(int arg0,
                                   int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBindRenderbuffer(GLenum target, GLuint renderbuffer);`

  Specified by:
    `glBindRenderbuffer` in interface `GL`

### glDeleteBuffers

    public void glDeleteBuffers(int arg0,
                                IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`

  Specified by:
    `glDeleteBuffers` in interface `GL`

### glDeleteFramebuffers

    public void glDeleteFramebuffers(int arg0,
                                     int[] arg1,
                                     int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`

  Specified by:
    `glDeleteFramebuffers` in interface `GL`

### glUniformMatrix2fv

    public void glUniformMatrix2fv(int arg0,
                                   int arg1,
                                   boolean arg2,
                                   FloatBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

  Specified by:
    `glUniformMatrix2fv` in interface `GL2ES2`

### glVertexAttrib4Nbv

    public void glVertexAttrib4Nbv(int arg0,
                                   byte[] arg1,
                                   int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4Nbv(GLuint index, const GLbyte * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4Nbv` in interface `GL2GL3`

### glVertexAttrib1f

    public void glVertexAttrib1f(int arg0,
                                 float arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib1f(GLuint indx, GLfloat x);`

  Specified by:
    `glVertexAttrib1f` in interface `GL2ES2`

### glHint

    public void glHint(int arg0,
                       int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glHint(GLenum target, GLenum mode);`

  Specified by:
    `glHint` in interface `GL`

### glUniform1fv

    public void glUniform1fv(int arg0,
                             int arg1,
                             FloatBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform1fv` in interface `GL2ES2`

### glUniform2uiv

    public void glUniform2uiv(int arg0,
                              int arg1,
                              int[] arg2,
                              int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniform2uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glUniform2uiv` in interface `GL2GL3`

### glGetAttribLocation

    public int glGetAttribLocation(int arg0,
                                   String arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `int glGetAttribLocation(GLuint program, const char * name);`

  Specified by:
    `glGetAttribLocation` in interface `GL2ES2`

### glUniformMatrix4fv

    public void glUniformMatrix4fv(int arg0,
                                   int arg1,
                                   boolean arg2,
                                   FloatBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

  Specified by:
    `glUniformMatrix4fv` in interface `GL2ES2`

### glCompressedTexSubImage1D

    public void glCompressedTexSubImage1D(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3,
                                          int arg4,
                                          int arg5,
                                          Buffer arg6)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexSubImage1D` in interface `GL2GL3`

### glCompressedTexImage3D

    public void glCompressedTexImage3D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4,
                                       int arg5,
                                       int arg6,
                                       int arg7,
                                       Buffer arg8)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexImage3D` in interface `GL2GL3`

### glGenRenderbuffers

    public void glGenRenderbuffers(int arg0,
                                   IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`

  Specified by:
    `glGenRenderbuffers` in interface `GL`

### glUniform3fv

    public void glUniform3fv(int arg0,
                             int arg1,
                             FloatBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform3fv` in interface `GL2ES2`

### glVertexAttrib4Nuiv

    public void glVertexAttrib4Nuiv(int arg0,
                                    IntBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4Nuiv(GLuint index, const GLuint * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4Nuiv` in interface `GL2GL3`

### glGetVertexAttribfv

    public void glGetVertexAttribfv(int arg0,
                                    int arg1,
                                    float[] arg2,
                                    int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetVertexAttribfv` in interface `GL2ES2`

### glRenderbufferStorage

    public void glRenderbufferStorage(int arg0,
                                      int arg1,
                                      int arg2,
                                      int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height);`

  Specified by:
    `glRenderbufferStorage` in interface `GL`

### glGenBuffers

    public void glGenBuffers(int arg0,
                             IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenBuffers(GLsizei n, GLuint * buffers);`

  Specified by:
    `glGenBuffers` in interface `GL`

### glGetCompressedTexImage

    public void glGetCompressedTexImage(int arg0,
                                        int arg1,
                                        long arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetCompressedTexImage(GLenum target, GLint level, GLvoid * img);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glGetCompressedTexImage` in interface `GL2GL3`

### glGetQueryiv

    public void glGetQueryiv(int arg0,
                             int arg1,
                             IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetQueryiv(GLenum target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glGetQueryiv` in interface `GL2GL3`

### glFrontFace

    public void glFrontFace(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFrontFace(GLenum mode);`

  Specified by:
    `glFrontFace` in interface `GL`

### glGetAttachedShaders

    public void glGetAttachedShaders(int arg0,
                                     int arg1,
                                     int[] arg2,
                                     int arg3,
                                     int[] arg4,
                                     int arg5)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders);`

  Specified by:
    `glGetAttachedShaders` in interface `GL2ES2`

### glGetAttachedShaders

    public void glGetAttachedShaders(int arg0,
                                     int arg1,
                                     IntBuffer arg2,
                                     IntBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders);`

  Specified by:
    `glGetAttachedShaders` in interface `GL2ES2`

### glClampColor

    public void glClampColor(int arg0,
                             int arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glClampColor(GLenum target, GLenum id);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glClampColor` in interface `GL2GL3`

### glIsQuery

    public boolean glIsQuery(int arg0)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `GLboolean glIsQuery(GLuint id);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glIsQuery` in interface `GL2GL3`

### glUniformMatrix4x2fv

    public void glUniformMatrix4x2fv(int arg0,
                                     int arg1,
                                     boolean arg2,
                                     float[] arg3,
                                     int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

  Specified by:
    `glUniformMatrix4x2fv` in interface `GL2GL3`

### glCheckFramebufferStatus

    public int glCheckFramebufferStatus(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLenum glCheckFramebufferStatus(GLenum target);`

  Specified by:
    `glCheckFramebufferStatus` in interface `GL`

### glCompressedTexSubImage2D

    public void glCompressedTexSubImage2D(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3,
                                          int arg4,
                                          int arg5,
                                          int arg6,
                                          int arg7,
                                          Buffer arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexSubImage2D` in interface `GL`

### glVertexAttrib3f

    public void glVertexAttrib3f(int arg0,
                                 float arg1,
                                 float arg2,
                                 float arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib3f(GLuint indx, GLfloat x, GLfloat y, GLfloat z);`

  Specified by:
    `glVertexAttrib3f` in interface `GL2ES2`

### glVertexAttrib2fv

    public void glVertexAttrib2fv(int arg0,
                                  FloatBuffer arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib2fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib2fv` in interface `GL2ES2`

### glShaderSource

    public void glShaderSource(int arg0,
                               int arg1,
                               String[] arg2,
                               IntBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glShaderSource(GLuint shader, GLsizei count, const char * * string, const GLint * length);`

  Specified by:
    `glShaderSource` in interface `GL2ES2`

### glBindFragDataLocation

    public void glBindFragDataLocation(int arg0,
                                       int arg1,
                                       String arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glBindFragDataLocation(GLuint program, GLuint index, const GLchar * name);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glBindFragDataLocation` in interface `GL2GL3`

### glGetRenderbufferParameteriv

    public void glGetRenderbufferParameteriv(int arg0,
                                             int arg1,
                                             IntBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetRenderbufferParameteriv` in interface `GL`

### glClearBufferfi

    public void glClearBufferfi(int arg0,
                                int arg1,
                                float arg2,
                                int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glClearBufferfi(GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glClearBufferfi` in interface `GL2GL3`

### glTransformFeedbackVaryings

    public void glTransformFeedbackVaryings(int arg0,
                                            int arg1,
                                            String[] arg2,
                                            int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTransformFeedbackVaryings(GLuint program, GLsizei count, const GLchar * * locations, GLenum bufferMode);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glTransformFeedbackVaryings` in interface `GL2GL3`

### glProvokingVertex

    public void glProvokingVertex(int arg0)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glProvokingVertex(GLenum mode);`
  Part of `GL_ARB_provoking_vertex`

  Specified by:
    `glProvokingVertex` in interface `GL3`

### glVertexAttrib3sv

    public void glVertexAttrib3sv(int arg0,
                                  short[] arg1,
                                  int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib3sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib3sv` in interface `GL2GL3`

### glMapBuffer

    public ByteBuffer glMapBuffer(int arg0,
                                  int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLeglImageOES glMapBufferOES(GLenum target, GLenum access);`

  Specified by:
    `glMapBuffer` in interface `GL`

### glUniformMatrix3x2fv

    public void glUniformMatrix3x2fv(int arg0,
                                     int arg1,
                                     boolean arg2,
                                     FloatBuffer arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

  Specified by:
    `glUniformMatrix3x2fv` in interface `GL2GL3`

### glGetVertexAttribiv

    public void glGetVertexAttribiv(int arg0,
                                    int arg1,
                                    int[] arg2,
                                    int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params);`

  Specified by:
    `glGetVertexAttribiv` in interface `GL2ES2`

### glVertexAttrib4Nusv

    public void glVertexAttrib4Nusv(int arg0,
                                    ShortBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4Nusv(GLuint index, const GLushort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4Nusv` in interface `GL2GL3`

### glTexImage1D

    public void glTexImage1D(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             int arg6,
                             long arg7)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTexImage1D(GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glTexImage1D` in interface `GL2GL3`

### glCompressedTexImage1D

    public void glCompressedTexImage1D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4,
                                       int arg5,
                                       Buffer arg6)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexImage1D` in interface `GL2GL3`

### glPixelStorei

    public void glPixelStorei(int arg0,
                              int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glPixelStorei(GLenum pname, GLint param);`

  Specified by:
    `glPixelStorei` in interface `GL`

### glGenTextures

    public void glGenTextures(int arg0,
                              IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenTextures(GLsizei n, GLuint * textures);`

  Specified by:
    `glGenTextures` in interface `GL`

### glUniform2fv

    public void glUniform2fv(int arg0,
                             int arg1,
                             float[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform2fv` in interface `GL2ES2`

### glStencilFunc

    public void glStencilFunc(int arg0,
                              int arg1,
                              int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glStencilFunc(GLenum func, GLint ref, GLuint mask);`

  Specified by:
    `glStencilFunc` in interface `GL`

### glUniform

    public void glUniform(GLUniformData arg0)

  Specified by:
    `glUniform` in interface `GL2ES2`

### glVertexAttrib4bv

    public void glVertexAttrib4bv(int arg0,
                                  byte[] arg1,
                                  int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4bv(GLuint index, const GLbyte * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4bv` in interface `GL2GL3`

### getContext

    public GLContext getContext()

  Description copied from interface: `GLBase`
  Returns the GLContext with which this GL object is associated.

  Specified by:
    `getContext` in interface `GLBase`
  Returns:
    the GLContext with which this GL object is associated

### glGetActiveUniformBlockiv

    public void glGetActiveUniformBlockiv(int arg0,
                                          int arg1,
                                          int arg2,
                                          int[] arg3,
                                          int arg4)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetActiveUniformBlockiv(GLuint target, GLuint attachment, GLenum pname, GLint * params);`
  Part of `GL_ARB_uniform_buffer_object`

  Specified by:
    `glGetActiveUniformBlockiv` in interface `GL3`

### glBeginConditionalRender

    public void glBeginConditionalRender(int arg0,
                                         int arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glBeginConditionalRender(GLuint target, GLenum id);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glBeginConditionalRender` in interface `GL2GL3`

### glVertexAttrib4f

    public void glVertexAttrib4f(int arg0,
                                 float arg1,
                                 float arg2,
                                 float arg3,
                                 float arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib4f(GLuint indx, GLfloat x, GLfloat y, GLfloat z, GLfloat w);`

  Specified by:
    `glVertexAttrib4f` in interface `GL2ES2`

### glVertexAttribPointer

    public void glVertexAttribPointer(GLArrayData arg0)

  Specified by:
    `glVertexAttribPointer` in interface `GL2ES2`

### glIsFramebuffer

    public boolean glIsFramebuffer(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsFramebuffer(GLuint framebuffer);`

  Specified by:
    `glIsFramebuffer` in interface `GL`

### glGetCompressedTexImage

    public void glGetCompressedTexImage(int arg0,
                                        int arg1,
                                        Buffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetCompressedTexImage(GLenum target, GLint level, GLvoid * img);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glGetCompressedTexImage` in interface `GL2GL3`

### glVertexAttrib4d

    public void glVertexAttrib4d(int arg0,
                                 double arg1,
                                 double arg2,
                                 double arg3,
                                 double arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4d(GLuint target, GLdouble s, GLdouble t, GLdouble r, GLdouble q);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4d` in interface `GL2GL3`

### glCompressedTexImage3D

    public void glCompressedTexImage3D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4,
                                       int arg5,
                                       int arg6,
                                       int arg7,
                                       long arg8)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexImage3D` in interface `GL2GL3`

### setSwapInterval

    public void setSwapInterval(int arg0)

  Description copied from interface: `GLBase`
  Provides a platform-independent way to specify the minimum swap interval for buffer swaps. An argument of 0 disables sync-to-vertical-refresh completely, while an argument of 1 causes the application to wait until the next vertical refresh until swapping buffers. The default, which is platform-specific, is usually either 0 or 1. This function is not guaranteed to have an effect, and in particular only affects heavyweight onscreen components.

  Specified by:
    `setSwapInterval` in interface `GLBase`
  See Also:
    `GLBase.getSwapInterval()`

### glGenTextures

    public void glGenTextures(int arg0,
                              int[] arg1,
                              int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenTextures(GLsizei n, GLuint * textures);`

  Specified by:
    `glGenTextures` in interface `GL`

### glMultiDrawArrays

    public void glMultiDrawArrays(int arg0,
                                  IntBuffer arg1,
                                  IntBuffer arg2,
                                  int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glMultiDrawArrays(GLenum mode, GLint * first, GLsizei * count, GLsizei primcount);`
  Part of `GL_VERSION_1_4`

  Specified by:
    `glMultiDrawArrays` in interface `GL2GL3`

### glMultiDrawArrays

    public void glMultiDrawArrays(int arg0,
                                  int[] arg1,
                                  int arg2,
                                  int[] arg3,
                                  int arg4,
                                  int arg5)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glMultiDrawArrays(GLenum mode, GLint * first, GLsizei * count, GLsizei primcount);`
  Part of `GL_VERSION_1_4`

  Specified by:
    `glMultiDrawArrays` in interface `GL2GL3`

### glGetActiveUniformBlockiv

    public void glGetActiveUniformBlockiv(int arg0,
                                          int arg1,
                                          int arg2,
                                          IntBuffer arg3)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetActiveUniformBlockiv(GLuint target, GLuint attachment, GLenum pname, GLint * params);`
  Part of `GL_ARB_uniform_buffer_object`

  Specified by:
    `glGetActiveUniformBlockiv` in interface `GL3`

### glVertexAttrib4s

    public void glVertexAttrib4s(int arg0,
                                 short arg1,
                                 short arg2,
                                 short arg3,
                                 short arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4s(GLuint target, GLshort s, GLshort t, GLshort r, GLshort q);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4s` in interface `GL2GL3`

### glCompressedTexSubImage2D

    public void glCompressedTexSubImage2D(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3,
                                          int arg4,
                                          int arg5,
                                          int arg6,
                                          int arg7,
                                          long arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexSubImage2D` in interface `GL`

### getPlatformGLExtensions

    public Object getPlatformGLExtensions()

  Description copied from interface: `GLBase`
  Returns an object through which platform-specific OpenGL extensions (EGL, GLX, WGL, etc.) may be accessed. The data type of the returned object and its associated capabilities are undefined. Most applications will never need to call this method. It is highly recommended that any applications which do call this method perform all accesses on the returned object reflectively to guard themselves against changes to the implementation.

  Specified by:
    `getPlatformGLExtensions` in interface `GLBase`

### glGetVertexAttribdv

    public void glGetVertexAttribdv(int arg0,
                                    int arg1,
                                    DoubleBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble * params);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glGetVertexAttribdv` in interface `GL2GL3`

### glGetShaderSource

    public void glGetShaderSource(int arg0,
                                  int arg1,
                                  int[] arg2,
                                  int arg3,
                                  byte[] arg4,
                                  int arg5)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, char * source);`

  Specified by:
    `glGetShaderSource` in interface `GL2ES2`

### glBlendEquation

    public void glBlendEquation(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBlendEquation(GLenum mode);`

  Specified by:
    `glBlendEquation` in interface `GL`

### glAllocateMemoryNV

    public ByteBuffer glAllocateMemoryNV(int arg0,
                                         float arg1,
                                         float arg2,
                                         float arg3)

  Description copied from interface: `GL2GL3`
  Provides platform-independent access to the `wglAllocateMemoryNV` / `glXAllocateMemoryNV` extension.

  Specified by:
    `glAllocateMemoryNV` in interface `GL2GL3`

### glGetRenderbufferParameteriv

    public void glGetRenderbufferParameteriv(int arg0,
                                             int arg1,
                                             int[] arg2,
                                             int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetRenderbufferParameteriv` in interface `GL`

### getSwapInterval

    public int getSwapInterval()

  Description copied from interface: `GLBase`
  Provides a platform-independent way to get the swap interval set by `GLBase.setSwapInterval(int)`.
  If the interval is not set by `GLBase.setSwapInterval(int)` yet, -1 is returned, indicating that the platforms default is being used.

  Specified by:
    `getSwapInterval` in interface `GLBase`
  See Also:
    `GLBase.setSwapInterval(int)`

### glCreateShader

    public int glCreateShader(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `GLuint glCreateShader(GLenum type);`

  Specified by:
    `glCreateShader` in interface `GL2ES2`

### glFenceSync

    public long glFenceSync(int arg0,
                            int arg1)

  Description copied from interface: `GL3`
  Entry point to C language function: `GLsync glFenceSync(GLenum condition, GLbitfield flags);`
  Part of `GL_ARB_sync`

  Specified by:
    `glFenceSync` in interface `GL3`

### glFramebufferTexture1D

    public void glFramebufferTexture1D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glFramebufferTexture1D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);`
  Part of `GL_ARB_framebuffer_object`

  Specified by:
    `glFramebufferTexture1D` in interface `GL2GL3`

### glShaderSource

    public void glShaderSource(int arg0,
                               int arg1,
                               String[] arg2,
                               int[] arg3,
                               int arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glShaderSource(GLuint shader, GLsizei count, const char * * string, const GLint * length);`

  Specified by:
    `glShaderSource` in interface `GL2ES2`

### glVertexAttrib4sv

    public void glVertexAttrib4sv(int arg0,
                                  short[] arg1,
                                  int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4sv` in interface `GL2GL3`

### glPointSize

    public void glPointSize(float arg0)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glPointSize(GLfloat size);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glPointSize` in interface `GL2GL3`

### glCompressedTexSubImage1D

    public void glCompressedTexSubImage1D(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3,
                                          int arg4,
                                          int arg5,
                                          long arg6)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexSubImage1D` in interface `GL2GL3`

### glGetShaderInfoLog

    public void glGetShaderInfoLog(int arg0,
                                   int arg1,
                                   IntBuffer arg2,
                                   ByteBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, char * infolog);`

  Specified by:
    `glGetShaderInfoLog` in interface `GL2ES2`

### glGetProgramInfoLog

    public void glGetProgramInfoLog(int arg0,
                                    int arg1,
                                    int[] arg2,
                                    int arg3,
                                    byte[] arg4,
                                    int arg5)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, char * infolog);`

  Specified by:
    `glGetProgramInfoLog` in interface `GL2ES2`

### glCullFace

    public void glCullFace(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glCullFace(GLenum mode);`

  Specified by:
    `glCullFace` in interface `GL`

### glGetVertexAttribdv

    public void glGetVertexAttribdv(int arg0,
                                    int arg1,
                                    double[] arg2,
                                    int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble * params);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glGetVertexAttribdv` in interface `GL2GL3`

### glCreateProgram

    public int glCreateProgram()

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `GLuint glCreateProgram(void);`

  Specified by:
    `glCreateProgram` in interface `GL2ES2`

### glFlush

    public void glFlush()

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFlush(void);`

  Specified by:
    `glFlush` in interface `GL`

### glGetVertexAttribiv

    public void glGetVertexAttribiv(int arg0,
                                    int arg1,
                                    IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params);`

  Specified by:
    `glGetVertexAttribiv` in interface `GL2ES2`

### glVertexAttrib4Nuiv

    public void glVertexAttrib4Nuiv(int arg0,
                                    int[] arg1,
                                    int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4Nuiv(GLuint index, const GLuint * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4Nuiv` in interface `GL2GL3`

### glGenBuffers

    public void glGenBuffers(int arg0,
                             int[] arg1,
                             int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenBuffers(GLsizei n, GLuint * buffers);`

  Specified by:
    `glGenBuffers` in interface `GL`

### glGenRenderbuffers

    public void glGenRenderbuffers(int arg0,
                                   int[] arg1,
                                   int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`

  Specified by:
    `glGenRenderbuffers` in interface `GL`

### glCompressedTexImage1D

    public void glCompressedTexImage1D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4,
                                       int arg5,
                                       long arg6)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexImage1D` in interface `GL2GL3`

### glUniformMatrix3x4fv

    public void glUniformMatrix3x4fv(int arg0,
                                     int arg1,
                                     boolean arg2,
                                     float[] arg3,
                                     int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

  Specified by:
    `glUniformMatrix3x4fv` in interface `GL2GL3`

### glFramebufferTexture2D

    public void glFramebufferTexture2D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);`

  Specified by:
    `glFramebufferTexture2D` in interface `GL`

### glGetBooleanv

    public void glGetBooleanv(int arg0,
                              byte[] arg1,
                              int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetBooleanv(GLenum pname, GLboolean * params);`

  Specified by:
    `glGetBooleanv` in interface `GL`

### glTexParameterfv

    public void glTexParameterfv(int arg0,
                                 int arg1,
                                 FloatBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`

  Specified by:
    `glTexParameterfv` in interface `GL`

### glGetDoublev

    public void glGetDoublev(int arg0,
                             double[] arg1,
                             int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetDoublev(GLenum pname, GLdouble * params);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glGetDoublev` in interface `GL2GL3`

### glEndTransformFeedback

    public void glEndTransformFeedback()

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glEndTransformFeedback(void);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glEndTransformFeedback` in interface `GL2GL3`

### glGetActiveUniformName

    public void glGetActiveUniformName(int arg0,
                                       int arg1,
                                       int arg2,
                                       IntBuffer arg3,
                                       ByteBuffer arg4)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);`
  Part of `GL_ARB_uniform_buffer_object`

  Specified by:
    `glGetActiveUniformName` in interface `GL3`

### glActiveTexture

    public void glActiveTexture(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glActiveTexture(GLenum texture);`

  Specified by:
    `glActiveTexture` in interface `GL`

### glBindBufferBase

    public void glBindBufferBase(int arg0,
                                 int arg1,
                                 int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glBindBufferBase(GLenum red, GLuint green, GLuint blue);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glBindBufferBase` in interface `GL2GL3`

### glGetQueryiv

    public void glGetQueryiv(int arg0,
                             int arg1,
                             int[] arg2,
                             int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetQueryiv(GLenum target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glGetQueryiv` in interface `GL2GL3`

### glStencilFuncSeparate

    public void glStencilFuncSeparate(int arg0,
                                      int arg1,
                                      int arg2,
                                      int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glStencilFuncSeparate(GLenum face, GLenum func, GLint ref, GLuint mask);`

  Specified by:
    `glStencilFuncSeparate` in interface `GL2ES2`

### glDrawArraysInstanced

    public void glDrawArraysInstanced(int arg0,
                                      int arg1,
                                      int arg2,
                                      int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glDrawArraysInstancedARB(GLenum target, GLint s, GLsizei t, GLsizei r);`
  Part of `GL_ARB_draw_instanced`

  Specified by:
    `glDrawArraysInstanced` in interface `GL2GL3`

### glVertexAttrib2sv

    public void glVertexAttrib2sv(int arg0,
                                  short[] arg1,
                                  int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib2sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib2sv` in interface `GL2GL3`

### glPixelStoref

    public void glPixelStoref(int arg0,
                              float arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glPixelStoref(GLenum pname, GLfloat param);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glPixelStoref` in interface `GL2GL3`

### glIsEnabledi

    public boolean glIsEnabledi(int arg0,
                                int arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `GLboolean glIsEnabledi(GLenum target, GLuint index);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glIsEnabledi` in interface `GL2GL3`

### glGetDoublev

    public void glGetDoublev(int arg0,
                             DoubleBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetDoublev(GLenum pname, GLdouble * params);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glGetDoublev` in interface `GL2GL3`

### glEnableVertexAttribArray

    public void glEnableVertexAttribArray(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glEnableVertexAttribArray(GLuint index);`

  Specified by:
    `glEnableVertexAttribArray` in interface `GL2ES2`

### glClearStencil

    public void glClearStencil(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glClearStencil(GLint s);`

  Specified by:
    `glClearStencil` in interface `GL`

### glDrawElementsInstanced

    public void glDrawElementsInstanced(int arg0,
                                        int arg1,
                                        int arg2,
                                        Buffer arg3,
                                        int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glDrawElementsInstancedARB(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei primcount);`
  Part of `GL_ARB_draw_instanced`

  Specified by:
    `glDrawElementsInstanced` in interface `GL2GL3`

### glDrawElementsInstancedBaseVertex

    public void glDrawElementsInstancedBaseVertex(int arg0,
                                                  int arg1,
                                                  int arg2,
                                                  Buffer arg3,
                                                  int arg4,
                                                  int arg5)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glDrawElementsInstancedBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei primcount, GLint basevertex);`
  Part of `GL_ARB_draw_elements_base_vertex`

  Specified by:
    `glDrawElementsInstancedBaseVertex` in interface `GL3`

### glTexImage1D

    public void glTexImage1D(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             int arg6,
                             Buffer arg7)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTexImage1D(GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glTexImage1D` in interface `GL2GL3`

### glIsEnabled

    public boolean glIsEnabled(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsEnabled(GLenum cap);`

  Specified by:
    `glIsEnabled` in interface `GL`

### glUniform2uiv

    public void glUniform2uiv(int arg0,
                              int arg1,
                              IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniform2uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glUniform2uiv` in interface `GL2GL3`

### glFlushMappedBufferRange

    public void glFlushMappedBufferRange(int arg0,
                                         int arg1,
                                         int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glFlushMappedBufferRange(GLenum target, ptrdiff_t s, ptrdiff_t t);`
  Part of `GL_ARB_map_buffer_range`

  Specified by:
    `glFlushMappedBufferRange` in interface `GL2GL3`

### glUniform1f

    public void glUniform1f(int arg0,
                            float arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform1f(GLint location, GLfloat x);`

  Specified by:
    `glUniform1f` in interface `GL2ES2`

### glGetFramebufferAttachmentParameteriv

    public void glGetFramebufferAttachmentParameteriv(int arg0,
                                                      int arg1,
                                                      int arg2,
                                                      IntBuffer arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`

  Specified by:
    `glGetFramebufferAttachmentParameteriv` in interface `GL`

### glGetTexLevelParameteriv

    public void glGetTexLevelParameteriv(int arg0,
                                         int arg1,
                                         int arg2,
                                         int[] arg3,
                                         int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glGetTexLevelParameteriv` in interface `GL2GL3`

### glDrawElementsBaseVertex

    public void glDrawElementsBaseVertex(int arg0,
                                         int arg1,
                                         int arg2,
                                         Buffer arg3,
                                         int arg4)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glDrawElementsBaseVertex(GLenum mode, GLsizei count, GLenum type, GLvoid * indices, GLint basevertex);`
  Part of `GL_ARB_draw_elements_base_vertex`

  Specified by:
    `glDrawElementsBaseVertex` in interface `GL3`

### glDeleteBuffers

    public void glDeleteBuffers(int arg0,
                                int[] arg1,
                                int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`

  Specified by:
    `glDeleteBuffers` in interface `GL`

### glDeleteFramebuffers

    public void glDeleteFramebuffers(int arg0,
                                     IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`

  Specified by:
    `glDeleteFramebuffers` in interface `GL`

### glBindTexture

    public void glBindTexture(int arg0,
                              int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBindTexture(GLenum target, GLuint texture);`

  Specified by:
    `glBindTexture` in interface `GL`

### glPointParameteri

    public void glPointParameteri(int arg0,
                                  int arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glPointParameteri(GLenum target, GLint s);`
  Part of `GL_VERSION_1_4`

  Specified by:
    `glPointParameteri` in interface `GL2GL3`

### glIsVBOElementEnabled

    public boolean glIsVBOElementEnabled()

  Specified by:
    `glIsVBOElementEnabled` in interface `GL`

### glUniformMatrix2x3fv

    public void glUniformMatrix2x3fv(int arg0,
                                     int arg1,
                                     boolean arg2,
                                     float[] arg3,
                                     int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

  Specified by:
    `glUniformMatrix2x3fv` in interface `GL2GL3`

### glValidateProgram

    public void glValidateProgram(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glValidateProgram(GLuint program);`

  Specified by:
    `glValidateProgram` in interface `GL2ES2`

### glUniformMatrix2x4fv

    public void glUniformMatrix2x4fv(int arg0,
                                     int arg1,
                                     boolean arg2,
                                     float[] arg3,
                                     int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

  Specified by:
    `glUniformMatrix2x4fv` in interface `GL2GL3`

### glVertexAttrib1d

    public void glVertexAttrib1d(int arg0,
                                 double arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib1d(GLuint target, GLdouble s);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib1d` in interface `GL2GL3`

### glClearBufferuiv

    public void glClearBufferuiv(int arg0,
                                 int arg1,
                                 IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glClearBufferuiv` in interface `GL2GL3`

### glVertexAttribPointer

    public void glVertexAttribPointer(int arg0,
                                      int arg1,
                                      int arg2,
                                      boolean arg3,
                                      int arg4,
                                      Buffer arg5)

  Description copied from interface: `GL2ES2`
  Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * ptr);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttribPointer` in interface `GL2ES2`

### glEnablei

    public void glEnablei(int arg0,
                          int arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glEnablei(GLenum target, GLuint id);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glEnablei` in interface `GL2GL3`

### glVertexAttrib4fv

    public void glVertexAttrib4fv(int arg0,
                                  FloatBuffer arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib4fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib4fv` in interface `GL2ES2`

### glBindBufferRange

    public void glBindBufferRange(int arg0,
                                  int arg1,
                                  int arg2,
                                  int arg3,
                                  int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glBindBufferRange(GLenum target, GLuint index, GLuint buffer, ptrdiff_t offset, ptrdiff_t size);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glBindBufferRange` in interface `GL2GL3`

### glClearColor

    public void glClearColor(float arg0,
                             float arg1,
                             float arg2,
                             float arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`

  Specified by:
    `glClearColor` in interface `GL`

### glDepthRangef

    public void glDepthRangef(float arg0,
                              float arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDepthRangef(GLclampf zNear, GLclampf zFar);`

  Specified by:
    `glDepthRangef` in interface `GL`

### glGenerateMipmap

    public void glGenerateMipmap(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenerateMipmap(GLenum target);`

  Specified by:
    `glGenerateMipmap` in interface `GL`

### glUseProgram

    public void glUseProgram(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUseProgram(GLuint program);`

  Specified by:
    `glUseProgram` in interface `GL2ES2`

### glTexParameterIuiv

    public void glTexParameterIuiv(int arg0,
                                   int arg1,
                                   IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTexParameterIuiv(GLenum target, GLenum pname, const GLuint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glTexParameterIuiv` in interface `GL2GL3`

### glBlitFramebuffer

    public void glBlitFramebuffer(int arg0,
                                  int arg1,
                                  int arg2,
                                  int arg3,
                                  int arg4,
                                  int arg5,
                                  int arg6,
                                  int arg7,
                                  int arg8,
                                  int arg9)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glBlitFramebuffer(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter);`
  Part of `GL_ARB_framebuffer_object`

  Specified by:
    `glBlitFramebuffer` in interface `GL2GL3`

### glGetBufferParameteriv

    public void glGetBufferParameteriv(int arg0,
                                       int arg1,
                                       int[] arg2,
                                       int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetBufferParameteriv` in interface `GL`

### glUniform2iv

    public void glUniform2iv(int arg0,
                             int arg1,
                             IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform2iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform2iv` in interface `GL2ES2`

### glUniform3iv

    public void glUniform3iv(int arg0,
                             int arg1,
                             IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform3iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform3iv` in interface `GL2ES2`

### glGetQueryObjectiv

    public void glGetQueryObjectiv(int arg0,
                                   int arg1,
                                   IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetQueryObjectiv(GLuint target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glGetQueryObjectiv` in interface `GL2GL3`

### glTexImage3D

    public void glTexImage3D(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             int arg6,
                             int arg7,
                             int arg8,
                             Buffer arg9)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_2`

  Specified by:
    `glTexImage3D` in interface `GL2GL3`

### glEnable

    public void glEnable(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glEnable(GLenum cap);`

  Specified by:
    `glEnable` in interface `GL`

### glDeleteShader

    public void glDeleteShader(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glDeleteShader(GLuint shader);`

  Specified by:
    `glDeleteShader` in interface `GL2ES2`

### glUniform3f

    public void glUniform3f(int arg0,
                            float arg1,
                            float arg2,
                            float arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform3f(GLint location, GLfloat x, GLfloat y, GLfloat z);`

  Specified by:
    `glUniform3f` in interface `GL2ES2`

### glGetInteger64v

    public void glGetInteger64v(int arg0,
                                com.sun.gluegen.runtime.PointerBuffer arg1)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetInteger64v(GLenum pname, int64_t * params);`
  Part of `GL_ARB_sync`

  Specified by:
    `glGetInteger64v` in interface `GL3`

### glDeleteQueries

    public void glDeleteQueries(int arg0,
                                IntBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glDeleteQueries(GLsizei n, const GLuint * ids);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glDeleteQueries` in interface `GL2GL3`

### glDepthRange

    public void glDepthRange(double arg0,
                             double arg1)

  Specified by:
    `glDepthRange` in interface `GL`
  Specified by:
    `glDepthRange` in interface `GL2ES2`

### glIsVertexArray

    public boolean glIsVertexArray(int arg0)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `GLboolean glIsVertexArray(GLuint id);`
  Part of `GL_ARB_vertex_array_object`

  Specified by:
    `glIsVertexArray` in interface `GL2GL3`

### glDrawBuffers

    public void glDrawBuffers(int arg0,
                              int[] arg1,
                              int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * ids);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glDrawBuffers` in interface `GL2GL3`

### glGetTexParameterfv

    public void glGetTexParameterfv(int arg0,
                                    int arg1,
                                    FloatBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetTexParameterfv` in interface `GL`

### glGetVertexAttribIuiv

    public void glGetVertexAttribIuiv(int arg0,
                                      int arg1,
                                      IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetVertexAttribIuiv(GLuint id, GLenum pname, GLuint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetVertexAttribIuiv` in interface `GL2GL3`

### glEndQuery

    public void glEndQuery(int arg0)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glEndQuery(GLenum mode);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glEndQuery` in interface `GL2GL3`

### glGenQueries

    public void glGenQueries(int arg0,
                             IntBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGenQueries(GLsizei n, GLuint * ids);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glGenQueries` in interface `GL2GL3`

### glGetTexParameterIiv

    public void glGetTexParameterIiv(int arg0,
                                     int arg1,
                                     IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetTexParameterIiv(GLenum target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetTexParameterIiv` in interface `GL2GL3`

### glGetUniformiv

    public void glGetUniformiv(int arg0,
                               int arg1,
                               IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetUniformiv(GLuint program, GLint location, GLint * params);`

  Specified by:
    `glGetUniformiv` in interface `GL2ES2`

### glVertexAttrib3d

    public void glVertexAttrib3d(int arg0,
                                 double arg1,
                                 double arg2,
                                 double arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib3d(GLuint target, GLdouble s, GLdouble t, GLdouble r);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib3d` in interface `GL2GL3`

### glBufferData

    public void glBufferData(int arg0,
                             int arg1,
                             Buffer arg2,
                             int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBufferData(GLenum target, GLsizeiptr size, const void * data, GLenum usage);`

  Specified by:
    `glBufferData` in interface `GL`

### glGetBooleanv

    public void glGetBooleanv(int arg0,
                              ByteBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetBooleanv(GLenum pname, GLboolean * params);`

  Specified by:
    `glGetBooleanv` in interface `GL`

### glDrawElements

    public void glDrawElements(int arg0,
                               int arg1,
                               int arg2,
                               long arg3)

  Description copied from interface: `GL`
  Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glDrawElements` in interface `GL`

### glClientWaitSync

    public int glClientWaitSync(long arg0,
                                int arg1,
                                long arg2)

  Description copied from interface: `GL3`
  Entry point to C language function: `GLenum glClientWaitSync(GLsync sync, GLbitfield flags, uint64_t timeout);`
  Part of `GL_ARB_sync`

  Specified by:
    `glClientWaitSync` in interface `GL3`

### glUniform4uiv

    public void glUniform4uiv(int arg0,
                              int arg1,
                              IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniform4uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glUniform4uiv` in interface `GL2GL3`

### glUnmapBuffer

    public boolean glUnmapBuffer(int arg0)

  Description copied from interface: `GL`
  Entry point to C language function: `GLboolean glUnmapBufferOES(GLenum target);`
  Part of `GL_VERSION_1_5, GL_OES_mapbuffer`

  Specified by:
    `glUnmapBuffer` in interface `GL`

### glBindFramebuffer

    public void glBindFramebuffer(int arg0,
                                  int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBindFramebuffer(GLenum target, GLuint framebuffer);`

  Specified by:
    `glBindFramebuffer` in interface `GL`

### glTexImage2DMultisample

    public void glTexImage2DMultisample(int arg0,
                                        int arg1,
                                        int arg2,
                                        int arg3,
                                        int arg4,
                                        boolean arg5)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glTexImage2DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations);`
  Part of `GL_ARB_texture_multisample`

  Specified by:
    `glTexImage2DMultisample` in interface `GL3`

### glGetTexLevelParameterfv

    public void glGetTexLevelParameterfv(int arg0,
                                         int arg1,
                                         int arg2,
                                         float[] arg3,
                                         int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat * params);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glGetTexLevelParameterfv` in interface `GL2GL3`

### glCompressedTexSubImage3D

    public void glCompressedTexSubImage3D(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3,
                                          int arg4,
                                          int arg5,
                                          int arg6,
                                          int arg7,
                                          int arg8,
                                          int arg9,
                                          long arg10)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexSubImage3D` in interface `GL2GL3`

### glReadBuffer

    public void glReadBuffer(int arg0)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glReadBuffer(GLenum mode);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glReadBuffer` in interface `GL2GL3`

### glVertexAttrib1sv

    public void glVertexAttrib1sv(int arg0,
                                  short[] arg1,
                                  int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib1sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib1sv` in interface `GL2GL3`

### glMultiDrawElements

    public void glMultiDrawElements(int arg0,
                                    IntBuffer arg1,
                                    int arg2,
                                    Buffer[] arg3,
                                    int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glMultiDrawElements(GLenum mode, const GLsizei * count, GLenum type, const GLvoid * * indices, GLsizei primcount);`
  Part of `GL_VERSION_1_4`

  Specified by:
    `glMultiDrawElements` in interface `GL2GL3`

### glVertexAttrib2dv

    public void glVertexAttrib2dv(int arg0,
                                  double[] arg1,
                                  int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib2dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib2dv` in interface `GL2GL3`

### glVertexAttrib4Niv

    public void glVertexAttrib4Niv(int arg0,
                                   int[] arg1,
                                   int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4Niv(GLuint target, const GLint * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4Niv` in interface `GL2GL3`

### glVertexAttrib3dv

    public void glVertexAttrib3dv(int arg0,
                                  double[] arg1,
                                  int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib3dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib3dv` in interface `GL2GL3`

### glVertexAttrib1dv

    public void glVertexAttrib1dv(int arg0,
                                  double[] arg1,
                                  int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib1dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib1dv` in interface `GL2GL3`

### glBindVertexArray

    public void glBindVertexArray(int arg0)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glBindVertexArray(GLuint mode);`
  Part of `GL_ARB_vertex_array_object`

  Specified by:
    `glBindVertexArray` in interface `GL2GL3`

### glDeleteVertexArrays

    public void glDeleteVertexArrays(int arg0,
                                     IntBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glDeleteVertexArrays(GLsizei n, const GLuint * ids);`
  Part of `GL_ARB_vertex_array_object`

  Specified by:
    `glDeleteVertexArrays` in interface `GL2GL3`

### glDrawBuffer

    public void glDrawBuffer(int arg0)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glDrawBuffer(GLenum mode);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glDrawBuffer` in interface `GL2GL3`

### glGetTexParameterfv

    public void glGetTexParameterfv(int arg0,
                                    int arg1,
                                    float[] arg2,
                                    int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetTexParameterfv` in interface `GL`

### glUniform3uiv

    public void glUniform3uiv(int arg0,
                              int arg1,
                              int[] arg2,
                              int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniform3uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glUniform3uiv` in interface `GL2GL3`

### glGetTexImage

    public void glGetTexImage(int arg0,
                              int arg1,
                              int arg2,
                              int arg3,
                              long arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glGetTexImage` in interface `GL2GL3`

### glTexParameterf

    public void glTexParameterf(int arg0,
                                int arg1,
                                float arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameterf(GLenum target, GLenum pname, GLfloat param);`

  Specified by:
    `glTexParameterf` in interface `GL`

### glGetTexLevelParameterfv

    public void glGetTexLevelParameterfv(int arg0,
                                         int arg1,
                                         int arg2,
                                         FloatBuffer arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat * params);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glGetTexLevelParameterfv` in interface `GL2GL3`

### glVertexAttrib2dv

    public void glVertexAttrib2dv(int arg0,
                                  DoubleBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib2dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib2dv` in interface `GL2GL3`

### glTexImage2D

    public void glTexImage2D(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             int arg6,
                             int arg7,
                             Buffer arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glTexImage2D` in interface `GL`

### glUniform1uiv

    public void glUniform1uiv(int arg0,
                              int arg1,
                              int[] arg2,
                              int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniform1uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glUniform1uiv` in interface `GL2GL3`

### glVertexAttrib3dv

    public void glVertexAttrib3dv(int arg0,
                                  DoubleBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib3dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib3dv` in interface `GL2GL3`

### glDrawRangeElements

    public void glDrawRangeElements(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3,
                                    int arg4,
                                    long arg5)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices);`
  Part of `GL_VERSION_1_2`

  Specified by:
    `glDrawRangeElements` in interface `GL2GL3`

### glGetIntegeri_v

    public void glGetIntegeri_v(int arg0,
                                int arg1,
                                int[] arg2,
                                int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetIntegeri_v(GLenum target, GLuint pname, GLint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetIntegeri_v` in interface `GL2GL3`

### glDeleteRenderbuffers

    public void glDeleteRenderbuffers(int arg0,
                                      int[] arg1,
                                      int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`

  Specified by:
    `glDeleteRenderbuffers` in interface `GL`

### glFramebufferTextureLayer

    public void glFramebufferTextureLayer(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3,
                                          int arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glFramebufferTextureLayer(GLenum target, GLenum index, GLuint buffer, GLint offset, GLint size);`
  Part of `GL_ARB_framebuffer_object`

  Specified by:
    `glFramebufferTextureLayer` in interface `GL2GL3`

### glVertexAttrib4ubv

    public void glVertexAttrib4ubv(int arg0,
                                   byte[] arg1,
                                   int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4ubv(GLuint index, const GLubyte * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4ubv` in interface `GL2GL3`

### glVertexAttrib1dv

    public void glVertexAttrib1dv(int arg0,
                                  DoubleBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib1dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib1dv` in interface `GL2GL3`

### glPolygonMode

    public void glPolygonMode(int arg0,
                              int arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glPolygonMode(GLenum face, GLenum mode);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glPolygonMode` in interface `GL2GL3`

### glUniformBlockBinding

    public void glUniformBlockBinding(int arg0,
                                      int arg1,
                                      int arg2)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glUniformBlockBinding(GLuint fail, GLuint zfail, GLuint zpass);`
  Part of `GL_ARB_uniform_buffer_object`

  Specified by:
    `glUniformBlockBinding` in interface `GL3`

### glStencilMaskSeparate

    public void glStencilMaskSeparate(int arg0,
                                      int arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glStencilMaskSeparate(GLenum face, GLuint mask);`

  Specified by:
    `glStencilMaskSeparate` in interface `GL2ES2`

### glAttachShader

    public void glAttachShader(int arg0,
                               int arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glAttachShader(GLuint program, GLuint shader);`

  Specified by:
    `glAttachShader` in interface `GL2ES2`

### glUniformMatrix2x4fv

    public void glUniformMatrix2x4fv(int arg0,
                                     int arg1,
                                     boolean arg2,
                                     FloatBuffer arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

  Specified by:
    `glUniformMatrix2x4fv` in interface `GL2GL3`

### glGetShaderiv

    public void glGetShaderiv(int arg0,
                              int arg1,
                              IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params);`

  Specified by:
    `glGetShaderiv` in interface `GL2ES2`

### glDisable

    public void glDisable(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDisable(GLenum cap);`

  Specified by:
    `glDisable` in interface `GL`

### glUniformMatrix2x3fv

    public void glUniformMatrix2x3fv(int arg0,
                                     int arg1,
                                     boolean arg2,
                                     FloatBuffer arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

  Specified by:
    `glUniformMatrix2x3fv` in interface `GL2GL3`

### glGetActiveUniformBlockName

    public void glGetActiveUniformBlockName(int arg0,
                                            int arg1,
                                            int arg2,
                                            IntBuffer arg3,
                                            ByteBuffer arg4)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetActiveUniformBlockName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei * length, GLchar * uniformName);`
  Part of `GL_ARB_uniform_buffer_object`

  Specified by:
    `glGetActiveUniformBlockName` in interface `GL3`

### glVertexAttrib4Nub

    public void glVertexAttrib4Nub(int arg0,
                                   byte arg1,
                                   byte arg2,
                                   byte arg3,
                                   byte arg4)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4Nub(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4Nub` in interface `GL2GL3`

### glIsShader

    public boolean glIsShader(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `GLboolean glIsShader(GLuint shader);`

  Specified by:
    `glIsShader` in interface `GL2ES2`

### glGetBoundBuffer

    public int glGetBoundBuffer(int arg0)

  Specified by:
    `glGetBoundBuffer` in interface `GL`

### glGetActiveAttrib

    public void glGetActiveAttrib(int arg0,
                                  int arg1,
                                  int arg2,
                                  int[] arg3,
                                  int arg4,
                                  int[] arg5,
                                  int arg6,
                                  int[] arg7,
                                  int arg8,
                                  byte[] arg9,
                                  int arg10)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`

  Specified by:
    `glGetActiveAttrib` in interface `GL2ES2`

### glClearDepth

    public void glClearDepth(double arg0)

  Specified by:
    `glClearDepth` in interface `GL`
  Specified by:
    `glClearDepth` in interface `GL2ES2`

### glLinkProgram

    public void glLinkProgram(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glLinkProgram(GLuint program);`

  Specified by:
    `glLinkProgram` in interface `GL2ES2`

### glDepthMask

    public void glDepthMask(boolean arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDepthMask(GLboolean flag);`

  Specified by:
    `glDepthMask` in interface `GL`

### glGetActiveUniformsiv

    public void glGetActiveUniformsiv(int arg0,
                                      int arg1,
                                      IntBuffer arg2,
                                      int arg3,
                                      IntBuffer arg4)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params);`
  Part of `GL_ARB_uniform_buffer_object`

  Specified by:
    `glGetActiveUniformsiv` in interface `GL3`

### glGetActiveUniformsiv

    public void glGetActiveUniformsiv(int arg0,
                                      int arg1,
                                      int[] arg2,
                                      int arg3,
                                      int arg4,
                                      int[] arg5,
                                      int arg6)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint * uniformIndices, GLenum pname, GLint * params);`
  Part of `GL_ARB_uniform_buffer_object`

  Specified by:
    `glGetActiveUniformsiv` in interface `GL3`

### glReadPixels

    public void glReadPixels(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             Buffer arg6)

  Description copied from interface: `GL`
  Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glReadPixels` in interface `GL`

### isExtensionAvailable

    public boolean isExtensionAvailable(String arg0)

  Description copied from interface: `GLBase`
  Returns true if the specified OpenGL extension can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.

  Specified by:
    `isExtensionAvailable` in interface `GLBase`
  Parameters:
    `arg0` - the name of the OpenGL extension (e.g., "GL_ARB_vertex_program").

### glGetTexParameteriv

    public void glGetTexParameteriv(int arg0,
                                    int arg1,
                                    int[] arg2,
                                    int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetTexParameteriv` in interface `GL`

### glVertexAttrib4Nsv

    public void glVertexAttrib4Nsv(int arg0,
                                   ShortBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4Nsv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4Nsv` in interface `GL2GL3`

### glGetTexParameterIuiv

    public void glGetTexParameterIuiv(int arg0,
                                      int arg1,
                                      int[] arg2,
                                      int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetTexParameterIuiv(GLenum id, GLenum pname, GLuint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetTexParameterIuiv` in interface `GL2GL3`

### glGetActiveUniform

    public void glGetActiveUniform(int arg0,
                                   int arg1,
                                   int arg2,
                                   IntBuffer arg3,
                                   IntBuffer arg4,
                                   IntBuffer arg5,
                                   ByteBuffer arg6)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`

  Specified by:
    `glGetActiveUniform` in interface `GL2ES2`

### glBeginTransformFeedback

    public void glBeginTransformFeedback(int arg0)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glBeginTransformFeedback(GLenum mode);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glBeginTransformFeedback` in interface `GL2GL3`

### glVertexAttrib4usv

    public void glVertexAttrib4usv(int arg0,
                                   short[] arg1,
                                   int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4usv(GLuint index, const GLushort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4usv` in interface `GL2GL3`

### glVertexAttrib4fv

    public void glVertexAttrib4fv(int arg0,
                                  float[] arg1,
                                  int arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib4fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib4fv` in interface `GL2ES2`

### glViewport

    public void glViewport(int arg0,
                           int arg1,
                           int arg2,
                           int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glViewport(GLint x, GLint y, GLsizei width, GLsizei height);`

  Specified by:
    `glViewport` in interface `GL`

### glProgramParameteri

    public void glProgramParameteri(int arg0,
                                    int arg1,
                                    int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glProgramParameteriARB(GLuint target, GLenum pname, GLint params);`
  Part of `GL_ARB_geometry_shader4`

  Specified by:
    `glProgramParameteri` in interface `GL2GL3`

### glDisableVertexAttribArray

    public void glDisableVertexAttribArray(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glDisableVertexAttribArray(GLuint index);`

  Specified by:
    `glDisableVertexAttribArray` in interface `GL2ES2`

### glDeleteTextures

    public void glDeleteTextures(int arg0,
                                 IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteTextures(GLsizei n, const GLuint * textures);`

  Specified by:
    `glDeleteTextures` in interface `GL`

### glGenFramebuffers

    public void glGenFramebuffers(int arg0,
                                  IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`

  Specified by:
    `glGenFramebuffers` in interface `GL`

### glLineWidth

    public void glLineWidth(float arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glLineWidth(GLfloat width);`

  Specified by:
    `glLineWidth` in interface `GL`

### glWaitSync

    public void glWaitSync(long arg0,
                           int arg1,
                           long arg2)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glWaitSync(GLsync sync, GLbitfield flags, uint64_t timeout);`
  Part of `GL_ARB_sync`

  Specified by:
    `glWaitSync` in interface `GL3`

### glClearBufferiv

    public void glClearBufferiv(int arg0,
                                int arg1,
                                IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint * value);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glClearBufferiv` in interface `GL2GL3`

### glTexParameterfv

    public void glTexParameterfv(int arg0,
                                 int arg1,
                                 float[] arg2,
                                 int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`

  Specified by:
    `glTexParameterfv` in interface `GL`

### glBeginQuery

    public void glBeginQuery(int arg0,
                             int arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glBeginQuery(GLenum target, GLuint id);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glBeginQuery` in interface `GL2GL3`

### glUniformMatrix3x4fv

    public void glUniformMatrix3x4fv(int arg0,
                                     int arg1,
                                     boolean arg2,
                                     FloatBuffer arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

  Specified by:
    `glUniformMatrix3x4fv` in interface `GL2GL3`

### glGetIntegerv

    public void glGetIntegerv(int arg0,
                              IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetIntegerv(GLenum pname, GLint * params);`

  Specified by:
    `glGetIntegerv` in interface `GL`

### glTexParameterIiv

    public void glTexParameterIiv(int arg0,
                                  int arg1,
                                  IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTexParameterIiv(GLenum target, GLenum pname, const GLint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glTexParameterIiv` in interface `GL2GL3`

### glPointParameteriv

    public void glPointParameteriv(int arg0,
                                   IntBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glPointParameteriv(GLenum target, const GLint * v);`
  Part of `GL_VERSION_1_4`

  Specified by:
    `glPointParameteriv` in interface `GL2GL3`

### glTessellationModeAMD

    public void glTessellationModeAMD(int arg0)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTessellationModeAMD(GLenum mode);`
  Part of `GL_AMD_vertex_shader_tessellator`

  Specified by:
    `glTessellationModeAMD` in interface `GL2GL3`

### glGetUniformuiv

    public void glGetUniformuiv(int arg0,
                                int arg1,
                                IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetUniformuiv(GLuint program, GLint location, GLuint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetUniformuiv` in interface `GL2GL3`

### glUniform1iv

    public void glUniform1iv(int arg0,
                             int arg1,
                             IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform1iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform1iv` in interface `GL2ES2`

### glVertexAttrib4ubv

    public void glVertexAttrib4ubv(int arg0,
                                   ByteBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4ubv(GLuint index, const GLubyte * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4ubv` in interface `GL2GL3`

### glFramebufferTexture

    public void glFramebufferTexture(int arg0,
                                     int arg1,
                                     int arg2,
                                     int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glFramebufferTextureARB(GLenum target, GLenum attachment, GLuint texture, GLint level);`
  Part of `GL_ARB_geometry_shader4`

  Specified by:
    `glFramebufferTexture` in interface `GL2GL3`

### glVertexAttrib3sv

    public void glVertexAttrib3sv(int arg0,
                                  ShortBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib3sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib3sv` in interface `GL2GL3`

### glVertexAttrib4Nusv

    public void glVertexAttrib4Nusv(int arg0,
                                    short[] arg1,
                                    int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4Nusv(GLuint index, const GLushort * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4Nusv` in interface `GL2GL3`

### glLogicOp

    public void glLogicOp(int arg0)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glLogicOp(GLenum opcode);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glLogicOp` in interface `GL2GL3`

### glDetachShader

    public void glDetachShader(int arg0,
                               int arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glDetachShader(GLuint program, GLuint shader);`

  Specified by:
    `glDetachShader` in interface `GL2ES2`

### glTexParameteriv

    public void glTexParameteriv(int arg0,
                                 int arg1,
                                 IntBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`

  Specified by:
    `glTexParameteriv` in interface `GL`

### glVertexAttrib4uiv

    public void glVertexAttrib4uiv(int arg0,
                                   IntBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4uiv(GLuint index, const GLuint * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4uiv` in interface `GL2GL3`

### glShaderBinary

    public void glShaderBinary(int arg0,
                               IntBuffer arg1,
                               int arg2,
                               Buffer arg3,
                               int arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`

  Specified by:
    `glShaderBinary` in interface `GL2ES2`

### glTexSubImage3D

    public void glTexSubImage3D(int arg0,
                                int arg1,
                                int arg2,
                                int arg3,
                                int arg4,
                                int arg5,
                                int arg6,
                                int arg7,
                                int arg8,
                                int arg9,
                                long arg10)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_2`

  Specified by:
    `glTexSubImage3D` in interface `GL2GL3`

### glUniform4iv

    public void glUniform4iv(int arg0,
                             int arg1,
                             IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform4iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform4iv` in interface `GL2ES2`

### glFinish

    public void glFinish()

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFinish(void);`

  Specified by:
    `glFinish` in interface `GL`

### glGetQueryObjectuiv

    public void glGetQueryObjectuiv(int arg0,
                                    int arg1,
                                    IntBuffer arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint * params);`
  Part of `GL_VERSION_1_5`

  Specified by:
    `glGetQueryObjectuiv` in interface `GL2GL3`

### glGetUniformBlockIndex

    public int glGetUniformBlockIndex(int arg0,
                                      String arg1)

  Description copied from interface: `GL3`
  Entry point to C language function: `GLuint glGetUniformBlockIndex(GLuint program, const GLchar * uniformBlockName);`
  Part of `GL_ARB_uniform_buffer_object`

  Specified by:
    `glGetUniformBlockIndex` in interface `GL3`

### glGetUniformLocation

    public int glGetUniformLocation(int arg0,
                                    String arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `int glGetUniformLocation(GLuint program, const char * name);`

  Specified by:
    `glGetUniformLocation` in interface `GL2ES2`

### glDepthFunc

    public void glDepthFunc(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDepthFunc(GLenum func);`

  Specified by:
    `glDepthFunc` in interface `GL`

### glGetFragDataLocation

    public int glGetFragDataLocation(int arg0,
                                     String arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `GLint glGetFragDataLocation(GLuint program, const GLchar * name);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetFragDataLocation` in interface `GL2GL3`

### glVertexAttrib2s

    public void glVertexAttrib2s(int arg0,
                                 short arg1,
                                 short arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib2s(GLuint target, GLshort s, GLshort t);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib2s` in interface `GL2GL3`

### glTexSubImage2D

    public void glTexSubImage2D(int arg0,
                                int arg1,
                                int arg2,
                                int arg3,
                                int arg4,
                                int arg5,
                                int arg6,
                                int arg7,
                                long arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glTexSubImage2D` in interface `GL`

### glGenVertexArrays

    public void glGenVertexArrays(int arg0,
                                  IntBuffer arg1)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGenVertexArrays(GLsizei n, GLuint * ids);`
  Part of `GL_ARB_vertex_array_object`

  Specified by:
    `glGenVertexArrays` in interface `GL2GL3`

### glGetProgramiv

    public void glGetProgramiv(int arg0,
                               int arg1,
                               int[] arg2,
                               int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetProgramiv(GLuint program, GLenum pname, GLint * params);`

  Specified by:
    `glGetProgramiv` in interface `GL2ES2`

### glGetUniformIndices

    public void glGetUniformIndices(int arg0,
                                    int arg1,
                                    String[] arg2,
                                    int[] arg3,
                                    int arg4)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * * uniformNames, GLuint * uniformIndices);`
  Part of `GL_ARB_uniform_buffer_object`

  Specified by:
    `glGetUniformIndices` in interface `GL3`

### glCompressedTexImage2D

    public void glCompressedTexImage2D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4,
                                       int arg5,
                                       int arg6,
                                       long arg7)

  Description copied from interface: `GL`
  Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexImage2D` in interface `GL`

### glFramebufferTexture3D

    public void glFramebufferTexture3D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4,
                                       int arg5)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glFramebufferTexture3D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset);`
  Part of `GL_ARB_framebuffer_object`

  Specified by:
    `glFramebufferTexture3D` in interface `GL2GL3`

### glVertexAttrib4iv

    public void glVertexAttrib4iv(int arg0,
                                  int[] arg1,
                                  int arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib4iv(GLuint target, const GLint * v);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib4iv` in interface `GL2GL3`

### glGetError

    public int glGetError()

  Description copied from interface: `GL`
  Interface to C language function:
  `GLenum glGetError(void);`

  Specified by:
    `glGetError` in interface `GL`

### glVertexAttrib2f

    public void glVertexAttrib2f(int arg0,
                                 float arg1,
                                 float arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib2f(GLuint indx, GLfloat x, GLfloat y);`

  Specified by:
    `glVertexAttrib2f` in interface `GL2ES2`

### glVertexAttrib2d

    public void glVertexAttrib2d(int arg0,
                                 double arg1,
                                 double arg2)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glVertexAttrib2d(GLuint target, GLdouble s, GLdouble t);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttrib2d` in interface `GL2GL3`

### glGetVertexAttribIiv

    public void glGetVertexAttribIiv(int arg0,
                                     int arg1,
                                     int[] arg2,
                                     int arg3)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetVertexAttribIiv(GLuint target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetVertexAttribIiv` in interface `GL2GL3`

### glCompileShader

    public void glCompileShader(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glCompileShader(GLuint shader);`

  Specified by:
    `glCompileShader` in interface `GL2ES2`

### glTexSubImage1D

    public void glTexSubImage1D(int arg0,
                                int arg1,
                                int arg2,
                                int arg3,
                                int arg4,
                                int arg5,
                                long arg6)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glTexSubImage1D` in interface `GL2GL3`

### glScissor

    public void glScissor(int arg0,
                          int arg1,
                          int arg2,
                          int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glScissor(GLint x, GLint y, GLsizei width, GLsizei height);`

  Specified by:
    `glScissor` in interface `GL`

### glTexImage3DMultisample

    public void glTexImage3DMultisample(int arg0,
                                        int arg1,
                                        int arg2,
                                        int arg3,
                                        int arg4,
                                        int arg5,
                                        boolean arg6)

  Description copied from interface: `GL3`
  Entry point to C language function: `void glTexImage3DMultisample(GLenum target, GLsizei samples, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations);`
  Part of `GL_ARB_texture_multisample`

  Specified by:
    `glTexImage3DMultisample` in interface `GL3`

### glUniform4i

    public void glUniform4i(int arg0,
                            int arg1,
                            int arg2,
                            int arg3,
                            int arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform4i(GLint location, GLint x, GLint y, GLint z, GLint w);`

  Specified by:
    `glUniform4i` in interface `GL2ES2`

### glUniform4f

    public void glUniform4f(int arg0,
                            float arg1,
                            float arg2,
                            float arg3,
                            float arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform4f(GLint location, GLfloat x, GLfloat y, GLfloat z, GLfloat w);`

  Specified by:
    `glUniform4f` in interface `GL2ES2`

### glGetTransformFeedbackVarying

    public void glGetTransformFeedbackVarying(int arg0,
                                              int arg1,
                                              int arg2,
                                              IntBuffer arg3,
                                              IntBuffer arg4,
                                              IntBuffer arg5,
                                              ByteBuffer arg6)

  Description copied from interface: `GL2GL3`
  Entry point to C language function: `void glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name);`
  Part of `GL_VERSION_3_0`

  Specified by:
    `glGetTransformFeedbackVarying` in interface `GL2GL3`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### dumpArray

    protected String dumpArray(Object obj)

### print

    protected void print(String str)

### println

    protected void println(String str)

### printIndent

    protected void printIndent()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.